<CFQUERY datasource="#datasource#" NAME="getCCtypes">
SELECT ccards 
FROM Params 
</CFQUERY>

<!--- ******************************** --->
<!--- Here determine next order number --->

<cfquery datasource="#datasource#" name="getordernum">
SELECT MAX(OrderNum)+1 as nextnum FROM OrderHist 
</cfquery>

<cfif #LEN(getordernum.nextnum)# IS 0>
<cfset nextnum = 1>
<cfelse>
<cfset nextnum = #getordernum.nextnum#>
</cfif>

<!---       End order numbering        --->
<!--- ******************************** --->

<cfset ccarray = ListToArray(ValueList(getCCtypes.ccards))>

<cfset id = #form.id#>

<cfif #id# IS 0>
<cfquery datasource="#datasource#" name="ret_cust">
SELECT MAX(CustID) as maxcustid FROM Customers 
WHERE CustFName = '#form.FName#' 
AND CustLName = '#form.LName#' 
AND CustEMail = '#form.EMail#' 
</cfquery>

<cfif #ret_cust.RecordCount# GT 0>
<cfset id = #ret_cust.maxcustid#>
</cfif>
</cfif>
<cfif #id# IS "">
<cfset id = 0>
</cfif>

<cfset thisyear = #DatePart("yyyy", Now())#>
<cfset expyear = #thisyear#>

<cfquery datasource="#datasource#" name="showorder">
	SELECT Orders.Quantity,Orders.ItemTotal,Orders.TotItemWeight,
	Orders.Att1,Orders.Att2,Products.Price,Products.ItemName,Products.Units, Products.Taxable  
	FROM Orders, Products 
	WHERE Orders.ItemID = Products.ItemID 
	AND Orders.OrderID = <cfqueryparam value="#form.OrderID#" cfsqltype="CF_SQL_NUMERIC"> 
</cfquery>
	
<cfset OrderTotal = 0>
<cfset TotOrderWeight = 0>
<cfset TaxableTotal = 0>

<CFLOOP QUERY="showorder">
<CFSET OrderTotal = #OrderTotal# + #ItemTotal#>
<CFSET TotOrderWeight = #TotOrderWeight# + #TotItemWeight#>
	<cfif Taxable EQ 1>
	<CFSET TaxableTotal = #TaxableTotal# + #ItemTotal#>
	</cfif>
</CFLOOP>


<!--- IF SHIPSTATE IS SAME AS BILLING STATE, GO AHEAD AND CALCULATE SALES TAX --->

<cfif #Parameterexists(form.shipto)#>	
<cfquery datasource="#datasource#" name="checkstate">
SELECT rate FROM SalesTax 
WHERE State = '#form.State#'
</cfquery>
	
	<cfif #checkstate.RecordCount# GT 0>
	<cfset salestax = ((#checkstate.rate#*0.01) * #TaxableTotal#)>
      <cfset salestax = NumberFormat(#salestax#, 99.99)>
		<cfif #Len(form.Shipping)# GT 0>
		<cfset GrandTotal = #OrderTotal# + #form.Shipping# + #salestax#>
		<cfelse>
		<cfset GrandTotal = #OrderTotal# + #salestax#>
		</cfif>
	<cfelse>
		<cfset GrandTotal = #form.OrderTotal# + #form.Shipping#>
	</cfif>
</cfif>

<!--- END SALES TAX CALCULATION --->


<CENTER>

<!--- IF SHIPSTATE IS DIFFERENT FROM BILLING STATE, CALCULATE SALES TAX USING SHIPSTATE --->

<cfif #parameterexists(form.shipto)# IS "No">	
<cfquery datasource="#datasource#" name="checkstate">
SELECT rate FROM SalesTax 
WHERE State = '#form.ShipState#'
</cfquery>
	
	<cfif #checkstate.RecordCount# GT 0>
	<cfset salestax = ((#checkstate.rate#*0.01) * #TaxableTotal#)>
      <cfset salestax = NumberFormat(#salestax#, 99.99)>
		<cfif #Len(form.Shipping)# GT 0>
		<cfset GrandTotal = #OrderTotal# + #form.Shipping# + #salestax#>
		<cfelse>
		<cfset GrandTotal = #OrderTotal# + #salestax#>
		</cfif>
	<cfelse>
		<cfset GrandTotal = #OrderTotal# + #form.Shipping#>
	</cfif>
</cfif>

<!--- END SALES TAX CALCULATION --->

<!--- *************************************************************  --->
<!--- **********  OFFLINE ORDERING OPTION HANDLED HERE ************  --->
<!--- *************************************************************  --->

<cfif #form.OrderOffline# CONTAINS "on">

<TABLE WIDTH="450" CELLSPACING="0" cellpadding="4" border="0">
<cfoutput>
<tr><td colspan="7"><font class="boldtext">#storename# Order Form</font></td></tr>
<tr><td colspan="7"><font class="text">Please complete this form and fax to #getParams.storefax# or mail with payment to:<br>
#getParams.storeaddy#<br>
#getParams.storecity#, #getParams.storestate# #getParams.storezip#<br><br><br>
</font></td></tr>
</cfoutput>
</table>

<table border="1" CELLSPACING="0" CELLPADDING="0">
<tr><td>
<TABLE WIDTH="450" CELLSPACING="0" cellpadding="4" border="0">
<CFOUTPUT>
<TR BGCOLOR="##A3CCFF"><TD WIDTH="30%"><font class="boldtext" color="black">Item</font></TD><TD>&nbsp;&nbsp;&nbsp;</TD><TD>&nbsp;&nbsp;&nbsp;</TD><TD align="right"><font class="boldtext" color="black">Price</font></TD><TD align="right"><font class="boldtext" color="black">Qty</font></TD>
<TD align="right"><font class="boldtext" color="black">Total</font></TD>
<TD align="right" width="15%"><cfif #shipmethod# is "weight"><font class="boldtext" color="black">Weight</font><cfelse>&nbsp;</cfif></TD>
</TR>
</CFOUTPUT>
<CFOUTPUT QUERY="showorder">
<TR>
<TD><font class="text">#showorder.ItemName#</font></TD>
<TD nowrap><font class="text"><cfif #LEN(showorder.Att1)# GT 0>#showorder.Att1#<cfelse>&nbsp;</cfif></font></TD>
<TD nowrap><font class="text"><cfif #LEN(showorder.Att2)# GT 0>#showorder.Att2#<cfelse>&nbsp;</cfif></font></TD>
<TD align="right" nowrap><font class="text">#NumberFormat(showorder.ItemTotal/showorder.Quantity,"999,999,999.99")#</font></TD>
<TD align=right nowrap><font class="text">#showorder.Quantity# <cfif #LEN(showorder.Units)# GT 0>#showorder.Units#</cfif></font></TD>
<TD align="right"><font class="text">#TRIM(NumberFormat(showorder.ItemTotal,"999,999,999.99"))#</font></TD>
<TD align="right" nowrap><font class="text"><cfif #shipmethod# is "weight"><cfset weight=#showorder.TotItemWeight#/16>#NumberFormat(weight,"______.__")# lbs.<cfelse>&nbsp;</cfif></font></TD></TR>
</CFOUTPUT>

<CFOUTPUT>
<TR bgcolor="##CCE6FF">
<TD bgcolor="##CCE6FF" colspan=2><font class="text">Order SubTotal</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD><TD bgcolor="##CCE6FF">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##CCE6FF"><font class="text">#TRIM(NumberFormat(OrderTotal,"$999,999,999.99"))#</font></TD>
<TD>&nbsp;</TD></TR>


<TR>
<TD bgcolor="##CCE6FF" colspan=2><font class="text">Shipping <cfif #shipmethod# is "weight"><cfif #ShipWeight# GT 0>(#TRIM(NumberFormat(ShipWeight,"99,999.99"))# lbs.)</cfif><cfelseif #shipmethod# is "optiontable">(#form.optionpicked#)</cfif></font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD><TD bgcolor="##CCE6FF">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##CCE6FF"><font class="text">#TRIM(NumberFormat(Shipping,"999,999,999.99"))#</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD>
</TR>

<cfif #parameterexists(salestax)#>
<TR>
<TD bgcolor="##CCE6FF" colspan=2><font class="text">Sales Tax</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD><TD bgcolor="##CCE6FF">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##CCE6FF"><font class="text">#TRIM(NumberFormat(salestax,"999,999,999.99"))#</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD>
</TR>
</cfif>
<TR><TD><font class="text">Order Total</font></TD><TD>&nbsp;</TD>
<TD>&nbsp;</TD><TD COLSPAN=3 align="right"><font class="boldtext">#TRIM(NumberFormat(GrandTotal,"$999,999,999.99"))#</font></TD>
<TD>&nbsp;</TD>
</TR>
<tr><td colspan="6"></td></tr>
</table>
</td></tr>
</table>
<P>
<table border="0" CELLSPACING="0" CELLPADDING="0">
<tr><td>
<TABLE WIDTH="450" CELLSPACING="0" cellpadding="4" border="1">
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Name:</font></TD><TD colspan="6"><cfif #LEN(form.FName)# GT 0>#form.FName#<cfelse>&nbsp;</cfif> <cfif #LEN(form.LName)# GT 0>#form.LName#<cfelse>&nbsp;</cfif></td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Address Line 1:</font></TD><TD colspan="6"><cfif #LEN(form.Address1)# GT 0>#form.Address1#<cfelse>&nbsp;</cfif></td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Address Line 2:</font></TD><TD colspan="6">&nbsp;</td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">City, State, Zip:</font></TD><TD colspan="4"><cfif #LEN(form.City)# GT 0>#form.City#<cfelse>&nbsp;</cfif></td><TD colspan="1"><cfif #LEN(form.State)# GT 0>#form.State#<cfelse>&nbsp;</cfif></td><TD><cfif #LEN(form.Zip)# GT 0>#form.Zip#<cfelse>&nbsp;</cfif></td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Phone:</font></TD><TD colspan="6"><cfif #LEN(form.Phone)# GT 0>#form.Phone#<cfelse>&nbsp;</cfif></td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">E-Mail:</font></TD><TD colspan="6">#form.Email#</td></TR>
<cfif NOT #Parameterexists(form.shipto)#>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Ship Name:</font></TD><TD colspan="6"><cfif #LEN(form.ShipName)# GT 0>#form.ShipName#<cfelse>&nbsp;</cfif></td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Ship Address 1:</font></TD><TD colspan="6"><cfif #LEN(form.ShipAddress1)# GT 0>#form.ShipAddress1#<cfelse>&nbsp;</cfif></td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Ship Address 2:</font></TD><TD colspan="6">&nbsp;</td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE" nowrap><font class="boldtext" color="black">Ship City, State, Zip:</font></TD><TD colspan="3"><cfif #LEN(form.ShipCity)# GT 0>#form.ShipCity#<cfelse>&nbsp;</cfif></td><TD colspan="2"><cfif #LEN(form.ShipZip)# GT 0>#form.ShipState#<cfelse>&nbsp;</cfif></td><TD><cfif #LEN(form.ShipZip)# GT 0>#form.ShipZip#<cfelse>&nbsp;</cfif></td>
</cfif>
</CFOUTPUT>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">CC Name:</font></TD><TD colspan="6">&nbsp;</td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE" nowrap><font class="boldtext" color="black">Credit Card Type:</font></TD><TD colspan="3"><input type="checkbox" name="Visa"> Visa</td><TD colspan="2"><input type="checkbox" name="MC"> MasterCard</td><TD><input type="checkbox" name="Amex"> Amex</td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE" nowrap><font class="boldtext" color="black">&nbsp;</font></TD><TD colspan="3"><input type="checkbox" name="Disc"> Discover</td><TD colspan="3">&nbsp;</td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Credit Card No.:</font></TD><TD colspan="6">&nbsp;</td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Expiration:</font></TD><TD colspan="6">&nbsp;</td></TR>
</TABLE>
</td></tr>
</table>


<cfabort>
</cfif>








<!--- *************************************************************  --->
<!--- **************   END OFFLINE ORDERING OPTION   **************  --->
<!--- *************************************************************  --->


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<FORM NAME="PaymentInfo" ACTION="https://cart.bamart.com/payment.mart" method="post"> 

<cfoutput>
<input type="HIDDEN" name="ioc_merchant_id" value="#getParams.loginid#">
<input type="HIDDEN" name="ioc_merchant_order_id" value="#nextnum#">
<input type="HIDDEN" name="ioc_merchant_shopper_id" value="">
<input type="HIDDEN" name="ecom_billto_postal_name_first" value="#form.FName#">
<input type="HIDDEN" name="ecom_billto_postal_name_last" value="#form.LName#">
<input type="HIDDEN" name="ecom_billto_telecom_phone_number" value="#form.phone#">
<input type="HIDDEN" name="ecom_billto_online_email" value="#form.Email#">
<input type="HIDDEN" name="ecom_billto_postal_street_line1" value="#form.Address1#">
<input type="HIDDEN" name="ecom_billto_postal_city" value="#form.city#">
<input type="HIDDEN" name="ecom_billto_postal_stateprov" value="#form.state#">
<input type="HIDDEN" name="ecom_billto_postal_postalcode" value="#form.zip#">
<input type="HIDDEN" name="ecom_billto_postal_countrycode" value="#form.country#">
<input type="HIDDEN" name="ecom_shipto_postal_name_first" value="#form.ShipName#">
<input type="HIDDEN" name="ecom_shipto_postal_street_line1" value="#form.ShipAddress1#">
<input type="HIDDEN" name="ecom_shipto_postal_city" value="#form.ShipCity#">
<input type="HIDDEN" name="ecom_shipto_postal_stateprov" value="#form.ShipState#">
<input type="HIDDEN" name="ecom_shipto_postal_postalcode" value="#form.ShipZip#">
<input type="HIDDEN" name="ecom_shipto_postal_countrycode" value="#form.ShipCountry#">
	
<!--- Order Information ---> 

<input type="HIDDEN" name="ioc_order_total_amount" value="#TRIM(NumberFormat(GrandTotal,"999999999.99"))#">

<input type="HIDDEN" NAME="custpword" VALUE="#form.password#">
<input type="HIDDEN" NAME="verifypword" VALUE="#form.password#">
<cfif #form.registered# IS "yes">
<INPUT TYPE="HIDDEN" NAME="rregistered" VALUE="yes">
<cfelse>
<INPUT TYPE="HIDDEN" NAME="rregistered" VALUE="no">
</cfif>
<cfif #parameterexists(form.optionpicked)#>
<input type="HIDDEN" NAME="optionpicked" VALUE="#form.optionpicked#">
</cfif>
<cfif NOT #Parameterexists(form.shipto)#>	
<input type="HIDDEN" NAME="shipto" VALUE="on">
<cfelse>
<input type="HIDDEN" NAME="shipto" VALUE="off">
</cfif>

<cfif NOT #Parameterexists(form.shipto)#>	
<input type="HIDDEN" NAME="ShipName" VALUE="#form.ShipName#">
<input type="HIDDEN" NAME="ShipAddress1" VALUE="#form.ShipAddress1#">
<input type="HIDDEN" NAME="ShipCity" VALUE="#form.ShipCity#">
<input type="HIDDEN" NAME="ShipState" VALUE="#form.ShipState#">
<input type="HIDDEN" NAME="ShipZip" VALUE="#form.ShipZip#">
<input type="HIDDEN" NAME="ShipCountry" VALUE="#form.ShipCountry#">
<input type="HIDDEN" NAME="shipto" VALUE="on">
<cfelse>
<input type="HIDDEN" NAME="shipto" VALUE="off">
<input type="HIDDEN" NAME="ShipName" VALUE="">
<input type="HIDDEN" NAME="ShipAddress1" VALUE="">
<input type="HIDDEN" NAME="ShipCity" VALUE="">
<input type="HIDDEN" NAME="ShipState" VALUE="">
<input type="HIDDEN" NAME="ShipZip" VALUE="">
<input type="HIDDEN" NAME="ShipCountry" VALUE="">
</cfif>
<input type="HIDDEN" NAME="id" VALUE="#id#">
<input type="HIDDEN" NAME="FName" VALUE="#form.FName#">
<input type="HIDDEN" NAME="LName" VALUE="#form.LName#">
<input type="HIDDEN" NAME="Address1" VALUE="#form.Address1#">
<input type="HIDDEN" NAME="Address2" VALUE="#form.Address2#">
<input type="HIDDEN" NAME="City" VALUE="#form.City#">
<input type="HIDDEN" NAME="State" VALUE="#form.State#">
<input type="HIDDEN" NAME="Zip" VALUE="#form.Zip#">
<input type="HIDDEN" NAME="Country" VALUE="#form.Country#">
<input type="HIDDEN" NAME="Email" VALUE="#form.Email#">
<input type="HIDDEN" NAME="Phone" VALUE="#form.Phone#">
<input type="HIDDEN" NAME="ShipWeight" VALUE="#form.ShipWeight#">
<input type="HIDDEN" NAME="Shipping" VALUE="#form.Shipping#">
<input type="HIDDEN" NAME="OrderID" VALUE=#form.OrderID#>
<input type="HIDDEN" NAME="OrderTotal" VALUE="#OrderTotal#">
<input type="HIDDEN" NAME="GrandTotal" VALUE='#TRIM(NumberFormat(GrandTotal,"999999999.99"))#'>
<input type="HIDDEN" NAME="remembercc" VALUE="off">
<cfif #parameterexists(salestax)#>
<input type="HIDDEN" NAME="salestax" VALUE='#NumberFormat(salestax,"99.99")#'>
<cfelse>
<input type="HIDDEN" NAME="salestax" VALUE="">
</cfif>
</cfoutput>

<input type="HIDDEN" NAME="CCNumber_Required" VALUE="Please enter your credit card number">

<TABLE cellpadding="0" cellspacing="0" BORDER="0" WIDTH="500" bgcolor="#E2E2E2">
<!-- TR><TD colspan="6" align="CENTER">
<FONT COLOR="BLUE" SIZE=+1><B>PLEASE FILL OUT AND SUBMIT THIS FORM</B></FONT><br><br>
</TD></TR -->

<tr><td colspan=6 nowrap align=center>

<!-- Display cart area -->
	
<TABLE WIDTH="450" CELLSPACING="0" cellpadding="4" border="0">
<CFOUTPUT>
<TR BGCOLOR="##A3CCFF"><TD WIDTH="30%"><font class="boldtext" color="black">Item</font></TD><TD>&nbsp;&nbsp;&nbsp;</TD><TD>&nbsp;&nbsp;&nbsp;</TD><TD align="right"><font class="boldtext" color="black">Price</font></TD><TD align="right"><font class="boldtext" color="black">Qty</font></TD>
<TD align="right"><font class="boldtext" color="black">Total</font></TD>
<TD align="right" width="15%"><cfif #shipmethod# is "weight"><font class="boldtext" color="black">Weight</font><cfelse>&nbsp;</cfif></TD>
</TR>
</CFOUTPUT>
<CFOUTPUT QUERY="showorder">
<TR>
<TD><font face="Arial" size="2">#showorder.ItemName#</font></TD>
<TD nowrap><font face="Arial" size="2" color="black"><cfif #LEN(showorder.Att1)# GT 0>#showorder.Att1#<cfelse>&nbsp;</cfif></font></TD>
<TD nowrap><font face="Arial" size="2" color="black"><cfif #LEN(showorder.Att2)# GT 0>#showorder.Att2#<cfelse>&nbsp;</cfif></font></TD>
<TD align="right" nowrap><font face="Arial" size="2" color="black">#NumberFormat(showorder.ItemTotal/showorder.Quantity,"999,999,999.99")#</font></TD>
<TD align=right nowrap><font face="Arial" size="2" color="black">#showorder.Quantity# <cfif #LEN(showorder.Units)# GT 0>#showorder.Units#</cfif></font></TD>
<TD align="right"><font face="Arial" size="2" color="black">#TRIM(NumberFormat(showorder.ItemTotal,"999,999,999.99"))#</font></TD>
<TD align="right" nowrap><font face="Arial" size="2" color="black"><cfif #shipmethod# is "weight"><cfset weight=#showorder.TotItemWeight#/16>#NumberFormat(weight,"______.__")# lbs.<cfelse>&nbsp;</cfif></font></TD></TR>
</CFOUTPUT>

<CFOUTPUT>
<TR bgcolor="##CCE6FF">
<TD bgcolor="##CCE6FF" colspan=2><font face="Arial" size="2" color="black">Order SubTotal</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD><TD bgcolor="##CCE6FF">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##CCE6FF"><font face="Arial" size="2" color="black">#TRIM(NumberFormat(OrderTotal,"$999,999,999.99"))#</font></TD>
<TD>&nbsp;</TD></TR>


<TR>
<TD bgcolor="##CCE6FF" colspan=2><font face="Arial" size="2" color="black">Shipping <cfif #shipmethod# is "weight"><cfif #ShipWeight# GT 0>(#TRIM(NumberFormat(ShipWeight,"99,999.99"))# lbs.)</cfif><cfelseif #shipmethod# is "optiontable">(#form.optionpicked#)</cfif></font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD><TD bgcolor="##CCE6FF">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##CCE6FF"><font face="Arial" size="2" color="black">#TRIM(NumberFormat(Shipping,"999,999,999.99"))#</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD>
</TR>

<cfif #parameterexists(salestax)#>
<TR>
<TD bgcolor="##CCE6FF" colspan=2><font face="Arial" size="2" color="black">Sales Tax</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD><TD bgcolor="##CCE6FF">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##CCE6FF"><font face="Arial" size="2" color="black">#TRIM(NumberFormat(salestax,"999,999,999.99"))#</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD>
</TR>
</cfif>
<TR><TD><font face="Arial" size="2">Order Total</font></TD><TD>&nbsp;</TD>
<TD>&nbsp;</TD><TD COLSPAN=3 align="right"><font class="boldtext" color="black">#TRIM(NumberFormat(GrandTotal,"$999,999,999.99"))#</font></TD>
<TD>&nbsp;</TD>
</TR>
</CFOUTPUT>
</TABLE>
</td>
</tr>

		
	</TD><td colspan="4">&nbsp;</TD></TR>


	<TR><TD COLSPAN="6" align="center"><INPUT TYPE="CHECKBOX" NAME="remembercc" CHECKED VALUE="on"><font face="verdana, arial, helvetica" SIZE="-1">Save my customer information (requires password)</font><br></TD></TR>
	<TR><TD COLSPAN="6" align="center">
		<table border="0">
		<tr><td align="center"><font face="Arial" size="2" color="black">Please choose a password (min 6 characters):</font></td><td><INPUT TYPE="PASSWORD" NAME="custpword" VALUE="" SIZE="10"></TD></TR>
		<tr><td align="right"><font face="Arial" size="2" color="black">Please re-enter to verify:</font></td><td><INPUT TYPE="PASSWORD" NAME="verifypword" VALUE="" SIZE="10"><br></TD></TR>
		</table>
	</TD></TR>
	<TR><TD COLSPAN="6" align="center"><INPUT TYPE="image" NAME="SUBMIT" src="images/next.gif" border="0"><br>
	<font face="Arial" size="2">(Proceed to checkout)</TD></TR>

	</TABLE>


	</FORM>
	</CENTER>
	</BODY>
	</HTML>




