<cfquery datasource="#dataasource#" name="getParams">
SELECT * FROM Params
</cfquery>

<cfif #getParams.type# IS "AUTH_ONLY">
<cfset type = "A">
<cfelse>
<cfset type = "S">
</cfif>


<!----------------------------------------------------------------------
		Originally Developed by Ralph Fiol, January 1999
		
		Modified by: 
		John Hoarty
		QuickEStore, LLC 
		http://www.quickestore.com
		jhoarty@quickestore.com
		For use with VeriSign/Signio PayFlowLink Payment System	
		
	

	Set defaults for common parameters
-------------------------------------------------------------------------->

<cfparam name="attributes.queryname" default="q_payflow">
<cfparam name="attributes.login" default="testdrive">
<cfparam name="attributes.password" default="">
<cfparam name="attributes.type" default="A">
<cfparam name="attributes.description" default="">
<cfparam name="attributes.emailcustomer" default="true">
<cfparam name="attributes.testrequest" default="false">
<cfparam name="attributes.invoice" default="">
<cfparam name="attributes.transid" default="">
<cfparam name="attributes.custid" default="">
<cfparam name="attributes.method" default="cc">

<!----------------------------------------------------------------------
	Post to PayflowLink
  ----------------------------------------------------------------------> 


<cfhttp url="https://payflowlink.paypal.com" 
	method="post" 
	resolveurl="yes" 
	REDIRECT="yes"> 

<!--- Contact Information --->

<cfhttpparam type="formfield" name="CUSTID" value="">
<cfhttpparam type="formfield" name="LOGIN" value="#attributes.login#">
<cfhttpparam type="formfield" name="PARTNER" value="#attributes.partner#">
<cfhttpparam type="formfield" name="PASSWORD" value="#attributes.password#">
<cfhttpparam type="formfield" name="NAME" value="#attributes.name#">
<cfhttpparam type="formfield" name="PHONE" value="#attributes.phone#">
<cfhttpparam type="formfield" name="EMAIL" value="#attributes.email#">
<cfhttpparam type="formfield" name="ADDRESS" value="#attributes.address#">
<cfhttpparam type="formfield" name="CITY" value="#attributes.city#">
<cfhttpparam type="formfield" name="STATE" value="#attributes.state#">
<cfhttpparam type="formfield" name="ZIP" value="#attributes.zip#">
<cfhttpparam type="formfield" name="NAMETOSHIP" value="#attributes.NAMETOSHIP#">
<cfhttpparam type="formfield" name="ADDRESSTOSHIP" value="#attributes.ADDRESSTOSHIP#">
<cfhttpparam type="formfield" name="CITYTOSHIP" value="#attributes.CITYTOSHIP#">
<cfhttpparam type="formfield" name="STATETOSHIP" value="#attributes.STATETOSHIP#">
<cfhttpparam type="formfield" name="ZIPTOSHIP" value="#attributes.ZIPTOSHIP#">
<cfhttpparam type="formfield" name="COUNTRYTOSHIP" value="#attributes.COUNTRYTOSHIP#">
<cfhttpparam type="formfield" name="USER1" value="#attributes.USER1#">
<cfhttpparam type="formfield" name="USER2" value="#attributes.USER2#">
<cfhttpparam type="formfield" name="USER3" value="#attributes.USER3#">
<cfhttpparam type="formfield" name="USER4" value="#attributes.USER4#">
<cfhttpparam type="formfield" name="USER5" value="#attributes.USER5#">
<cfhttpparam type="formfield" name="USER6" value="#attributes.USER6#">
<cfhttpparam type="formfield" name="USER7" value="#attributes.USER7#">
<cfhttpparam type="formfield" name="USER8" value="#attributes.USER8#">
<cfhttpparam type="formfield" name="USER9" value="#attributes.USER9#">
<cfhttpparam type="formfield" name="USER10" value="#attributes.USER10#">

<cfhttpparam type="formfield" name="ECHODATA" value="TRUE">
<cfhttpparam type="formfield" name="ORDERFORM" value="FALSE">
<cfhttpparam type="formfield" name="SHOWCONFIRM" value="FALSE">	
	
<!--- Order Information ---> 
<cfhttpparam type="formfield" name="TYPE" value="#type#">
<cfhttpparam type="formfield" name="INVOICE" value="#attributes.INVOICE#">
<cfhttpparam type="formfield" name="AMOUNT" value="#attributes.amount#">
<cfhttpparam type="formfield" name="SHIPAMOUNT" value="#attributes.SHIPAMOUNT#">
<cfhttpparam type="formfield" name="TAX" value="#attributes.TAX#">
<cfhttpparam type="formfield" name="METHOD" value="#attributes.method#">
<cfhttpparam type="formfield" name="CARDNUM" value="#attributes.cardnum#">
<cfhttpparam type="formfield" name="EXPDATE" value="#attributes.expdate#">
<cfhttpparam type="formfield" name="EMAILCUSTOMER" value="#attributes.emailcustomer#">


</cfhttp>


<cfoutput>
#CFHTTP.FileContent#
</cfoutput>
