<cfquery datasource="#datasource#" name="product_detail">
SELECT * FROM Products 
WHERE Products.ItemID > 1
</cfquery>

<cfquery datasource="#datasource#" name="check_cats">
SELECT * FROM Categories 
WHERE Category <> 'Dummy'
</cfquery>

<cfif #check_cats.RecordCount# IS 0>
	<cfquery datasource="#datasource#" name="prodpage">
	SELECT * FROM Products 
	WHERE ItemID > 1 
	</cfquery>

<cfelse>	

	<cfquery datasource="#datasource#" name="prodpage">
	SELECT Products.*,Categories.* FROM Categories
	INNER JOIN Products ON Products.CategoryID = Categories.CategoryID
	<cfif #parameterexists(URL.CategoryID)#>
	WHERE Products.CategoryID = <cfqueryparam value="#URL.CategoryID#" cfsqltype="CF_SQL_NUMERIC"> AND Products.SubCatID = 0
	<cfelseif #parameterexists(URL.SubCatID)#>
	WHERE Products.SubCatID = <cfqueryparam value="#URL.SubCatID#" cfsqltype="CF_SQL_NUMERIC">
	</cfif>
	ORDER BY Products.CategoryID,Products.ItemName
	</cfquery>

	<cfquery datasource="#datasource#" name="prodcats">
	SELECT * FROM Categories 
	WHERE EXISTS
	(SELECT Products.*,Categories.* FROM Products
	INNER JOIN Categories on Products.CategoryID = Categories.CategoryID)
	ORDER BY Categories.Category
	</cfquery>
</cfif>


<BODY BGCOLOR="#FFFFFF">
<center>
<table BORDER="0" align="center" valign="top" width="80%">
<tr><td valign="top" align="center">
<br><cfoutput><cfif #Len(graphic)# GT 0><img src="images/#graphic#" border="0"></cfif></cfoutput></td></tr>
</table>
<cfif #parameterexists(URL.CategoryID)# IS "No" AND #parameterexists(URL.SubCatID)# IS "No">
	<cfif #check_cats.RecordCount# GT 0>
	
		<cfoutput query="prodcats">
		<cfif #CategoryID# GT 1><font face='verdana, arial, helvetica' SIZE='-1'><a href="prodpage.cfm?#URLToken#&CategoryID=#CategoryID#"><b>#prodcats.Category#</b></a></font><br></cfif>
		</cfoutput>
	
	</cfif>
	<cfoutput>
	<form name="search" action="search.cfm?#URLToken#" method="POST">
	<input type="hidden" name="OrderID" value=#OrderID#>
	</cfoutput>
	<table BORDER="0" align="center" valign="top" width="80%">
	<tr><td valign="top" align="center">
	<input type="text" name="keyword" size="12"> <br><input type="image" name="SUBMIT" src="images/search.gif" border="0">
	</td></tr>
	</table>
	</form>
<cfelse>
	<center><cfoutput><font face='verdana, arial, helvetica' SIZE='-1'><a href="prodpage.cfm?#URLToken#"><b>ALL CATEGORIES</b></a></font></cfoutput></center>
</cfif>



<!--- ******************************************************************** --->
<!--- The following code is used if there exists only one category --->
<!--- ******************************************************************** --->

	<center>
	<cfoutput query="product_detail">
	<form name="addtocart" action="insertorder.cfm?#URLToken#" method="post">
	<input type="hidden" name="ItemID" value=#ItemID#>
	<input type="hidden" name="Price" value=#Price#>
	<input type="hidden" name="Weight" value=#Weight#>
	<input type="hidden" name="OrderID" value=#OrderID#>
	<table cellspacing="0" cellpadding="5" border="0" width="70%">
	<tr><td colspan="2"><cfif #parameterexists(ItemPic)#><img src="#storeurl#/images/#ItemPic#"><cfelse>&nbsp;</cfif></td>
	<td colspan="2">#Description#</td></tr>
	
	<tr><td colspan="4" bgcolor="BFDFFF"><font face='verdana, arial, helvetica' SIZE='-1'><b>#ItemName#</b></font></td></tr>
	<tr><td width="15%" bgcolor="BFDFFF"><font face='verdana, arial, helvetica' SIZE='-1'><b>Price</b></font></td>
	<td width="15%" bgcolor="BFDFFF"><font face='verdana, arial, helvetica' SIZE='-1'><b>Qty</b></font></td>
	<td width="20%" bgcolor="BFDFFF"><cfif #shipmethod# is "weight"><font face='verdana, arial, helvetica' SIZE='-1'><b>Weight</b></font><cfelse>&nbsp;</cfif></td>
	<td bgcolor="BFDFFF">&nbsp;</td></tr>
	<tr><td bgcolor="BFDFFF"><font face='verdana, arial, helvetica' SIZE='-1'>#NumberFormat(Price,"$____.__")#</font></td><td bgcolor="BFDFFF"><input type="text" name="qty" value="1" size=3></td>
	<td bgcolor="BFDFFF"><font face='verdana, arial, helvetica' SIZE='-1'><cfif #shipmethod# is "weight">#NumberFormat(Weight,"____.__")# Ounces<cfelse>&nbsp;</cfif></font></td>
	<td bgcolor="BFDFFF"><input type="image" name="submit" src="images/addtocart.gif" border="0"></td></tr>
	</table>
	</form>
	</cfoutput>
	
	<cfoutput>
	<!-- Puts a view cart button under categories on product page whether or not you
	have begun shopping -->
	<form name="addord" action="insertorder.cfm?#URLToken#" method="post">
	<input type="hidden" name="OrderID" value=#OrderID#>
	<table>
	<tr><td><input type="image" name="submit" src="images/viewcart.gif" border="0"></td></tr>
	</table>
	</form>
	</center>
	</cfoutput>

</center>




