<!--
*************************************************
APIError.cfm

Displays error parameters.

Called by DoDirectPaymentReceipt.cfm, TransactionDetails.cfm,
GetExpressCheckoutDetails.cfm and DoExpressCheckoutPayment.cfm.

*************************************************
-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
    <title>PayPal SDK - DoAuthorization</title>
    <link href="sdk.css" rel="stylesheet" type="text/css" />
</head>
<body>
<cfset responseStruct = #Session.resStruct#>
<cfif #URL.error# is "fromClient">

<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<br><p>
    <table class="api">
      <tr>
            <td class="field">
                Error Type :</td>
            <td><CFOUTPUT>#responseStruct.errorType#</CFOUTPUT></td>
        </tr>
        <tr>
            <td class="field">
                Error Message :</td>
            <td><CFOUTPUT>#responseStruct.errorMessage#</CFOUTPUT></td>
        </tr>
	</table>
</center>
</cfif>

<cfif #URL.error# is "fromServer">

<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<br><p>

<table class="api">
	<tr>
		<td colspan="2" class="header">The PayPal API has returned an error!</td>
	</tr>
	<cfloop collection=#responseStruct# item="key">
		<tr>
			<td><CFOUTPUT>#key#:</CFOUTPUT></td>
			<td><CFOUTPUT>#responseStruct[key]#</CFOUTPUT></td>
	       </tr>
	</cfloop>
</table>
</center>
</cfif>
</body>
<center>
<a class="home" id="CallsLink" href="index.cfm"><font face="arial" size="2"><b>Home</b></font></a>

</html>