<cfquery datasource="#datasource#" name="catsubcat">
Select CategoryID, SubCatID 
FROM Products 
<cfif #parameterexists(form.ItemID)#>
WHERE ItemID = <cfqueryparam value="#form.ItemID#" cfsqltype="CF_SQL_NUMERIC">
 
</cfif>
</cfquery>

<cfquery 
	name="Countries" 
	datasource="#datasource#" >
	SELECT 
		ID,
		Country
	FROM UPS_WW_Zones
	WHERE 0=0
	ORDER BY Country ASC
</cfquery>



<cfquery datasource="#datasource#" name="showorder">
SELECT Orders.Quantity,Orders.ItemTotal,Orders.TotItemWeight,Orders.Att1,Orders.Att2,Products.Price,
Products.ItemName, Products.SKU, Products.Units, Products.ItemID, Products.Weight 
FROM Orders, Products  
WHERE Orders.ItemID = Products.ItemID 
AND Orders.OrderID = <cfqueryparam value="#OrderID#" cfsqltype="CF_SQL_NUMERIC"> 
</cfquery>

<cfset OrderTotal = 0>
<cfset TotOrderWeight = 0>

<CFLOOP QUERY="showorder">
<CFSET OrderTotal = #OrderTotal# + #ItemTotal#>
<CFSET TotOrderWeight = #TotOrderWeight# + #TotItemWeight#>
</CFLOOP>
<CFSET GrandTotal = #OrderTotal#>

<!-- Clears cart when "clear cart" is clicked -->

<cfif #parameterexists(URL.action)#>

	<cfif #URL.action# is 'clear'>
	<cfquery datasource="#datasource#">
	DELETE FROM Orders 
	WHERE OrderID = <cfqueryparam value="#OrderID#" cfsqltype="CF_SQL_NUMERIC">
	</cfquery>

	
	<!--- ***************** PAGE HEADER INCLUDE ******************* --->
	<cfinclude template="page_header.cfm">
	<!--- ***************** PAGE HEADER INCLUDE ******************* --->


	<p>
	<font class="boldtext">Your shopping cart is now empty.</font><br><p>
<cfoutput>
<cfif NOT #template# IS "Store 4" AND NOT #template# IS "">
<a href="index.cfm?#URLToken#<cfif #catsubcat.CategoryID# NEQ 0>&CategoryID=#catsubcat.CategoryID#</cfif>"><font class="boldtext">Back</font></a>
<cfelse>
<a href="prodpage.cfm?#URLToken#<cfif #catsubcat.CategoryID# NEQ 0>&CategoryID=#catsubcat.CategoryID#</cfif>"><font class="boldtext">Back</font></a>
</cfif>

</CFOUTPUT>
	<cfabort>
	</cfif>
</cfif>

<cfif #form.OrderTotal# IS 0>


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->


<br><br><br>
<center>
<font class="boldtext">Your cart is empty!</font><br>
<p>
	<cfoutput><font class="boldtext"><a href="index.cfm">Back</a></font></cfoutput>
</center>
<cfabort>

</cfif>


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->


<cfif #parameterexists(URL.registered)#>

<!--- ************************************************************** --->
<!--- Check to see that a valid (6 to 10 chars) password was entered --->

	<cfif #LEN(form.registered)# LT 6>

	<center>
	<p>
	<font class="boldtext">That is not a valid password. Valid passwords are 6 to 10 characters long.</font><br>
	<p>
	<font class="boldtext"><a href="#" onClick="history.go(-1)">Back</a></font>
		
	<cfabort>
	</cfif>


	<cfquery datasource="#datasource#" name="getEMail">
	SELECT * FROM Customers 
	WHERE CustEMail = '#form.CustEMail#' AND CustPWord = '#form.registered#'
	</cfquery>
	
	<cfif #getEMail.RecordCount# GT 0>
	<cfset reg = "y">
	<cfset id = #getEMail.CustID#>
	<cfset password = #form.registered#>
	<cfelse>
	<cfset reg="n">
	<cfset id = 0>
	<cfset password = "">
	</cfif>
<cfelse>
	<cfset reg="n">
	<cfset id = 0>
	<cfset password = "">
</cfif>

<!--- USE THIS FORM INITIALLY --->
<cfoutput>
<SCRIPT LANGUAGE="JavaScript">
function makeRemote() {
    remote = window.open("","remotewin","width=450,height=300");
    remote.location.href = "sendpass.cfm?#URLToken#&OrderID=#OrderID#";
        if (remote.opener == null) remote.opener = window; 
    remote.opener.name = "opener";
    }
</SCRIPT>
</cfoutput>

<cfif NOT #parameterexists(URL.registered)#>

	<cfif #shipmethod# IS "optiontable">
		<cfset GrandTotal = #GrandTotal# + #GetToken(form.Shipping,2,",")#>
			<cfset optionpicked = #GetToken(form.Shipping,1,",")#>
				<cfset Shipping = #GetToken(form.Shipping,2,",")#>
				<cfelse>
			<cfset GrandTotal = #GrandTotal#>
		<cfset Shipping = #form.Shipping#>
	</cfif>

</cfif>

<cfif #parameterexists(Cookie.Return_Cust)#>
<cfquery datasource="#datasource#" name="getCustData">
	SELECT * FROM Customers 
	WHERE CustEMail = '#Cookie.Return_Cust#'
</cfquery>
</cfif>


<cfoutput>
<FORM NAME="Registered" ACTION="checkout.cfm?registered=y&#URLToken#&OrderID=#OrderID#&action=checkout" METHOD="POST">

<cfif #parameterexists(optionpicked)#>
<input type="HIDDEN" NAME="optionpicked" VALUE="#optionpicked#">
<cfelse>
<input type="HIDDEN" NAME="optionpicked" VALUE="">
</cfif>
<input type="HIDDEN" NAME="Shipping" VALUE='#TRIM(NumberFormat(Shipping, 999.99))#'>
<input type="HIDDEN" NAME="OrderID" VALUE='#form.OrderID#'>
<input type="HIDDEN" NAME="GrandTotal" VALUE='#TRIM(NumberFormat(GrandTotal,"999999999.99"))#'>
<input type="HIDDEN" NAME="ShipWeight" VALUE='#form.ShipWeight#'>
<input type="HIDDEN" NAME="OrderTotal" VALUE='#OrderTotal#'>
</cfoutput>

<TABLE WIDTH="430" BORDER="1" BGCOLOR="FFFFFF" CELLPADDING=0 CELLSPACING=0 BORDERCOLOR="BLACK" BORDERCOLORDARK="CECECE">
<TR><TD>
<TABLE cellpadding="3" cellspacing="0" BORDER="0" bgcolor="#FFFFFF" WIDTH="100%">
<TR><TD COLSPAN="2" ALIGN="CENTER"><font class="text">(Registered users enter your e-mail & password and click "Next")</font></TD></TR>
<TR><TD WIDTH="45%" ALIGN="RIGHT" NOWRAP><font class="text">My E-Mail is:</TD><TD> <INPUT CLASS="formfieldlong" TYPE="TEXT" NAME="CustEMail" SIZE="30" VALUE="<cfoutput><cfif #parameterexists(Cookie.Return_Cust)#><cfif #getCustData.RecordCount# GT 0>#getCustData.CustEMail#</cfif></cfif></cfoutput>"></TD></TR>
<TR><TD WIDTH="45%" ALIGN="RIGHT" VALIGN="middle"><font class="text">My Password is:</font></TD><TD> <INPUT CLASS="formfieldxshort" TYPE="PASSWORD" NAME="registered" SIZE="10" VALUE="">  <input type="image" name="submit" src="images/arrows.gif" border="0" align="absmiddle"></TD></TR>
<TR><TD ALIGN="CENTER" COLSPAN="2"><font face="Arial" size=1>Forgot your password? Click <cfoutput><A HREF="javascript:makeRemote()";>Here</a></cfoutput></TD></TR>

<cfif #parameterexists(URL.registered)# AND #getEMail.RecordCount# EQ 0>
<TR><TD ALIGN="CENTER" COLSPAN="2"><font face="Arial" size="2" COLOR="BLUE"><b>We're sorry, but your information is no longer in our database<br>
Please fill out the form below.</b></font></TD></TR>
</cfif>
</TABLE>
</TD></TR>
</TABLE>
</FORM>


<cfoutput>
<FORM NAME="myform1" ACTION="#securepath#/<cfif #getParams.processor# IS "BofA">checkout_cart_bofa.cfm<cfelseif #getParams.processor# IS "Linkpoint Basic">checkout_cart_lpb.cfm<cfelse>checkout_cart.cfm</cfif>" METHOD="POST">
<cfif #parameterexists(optionpicked)#>
<input type="HIDDEN" NAME="optionpicked" VALUE="#optionpicked#">
<cfelse>
<input type="HIDDEN" NAME="optionpicked" VALUE="">
</cfif>
<input type="HIDDEN" NAME="FName_Required" VALUE="Please enter your first name">
<input type="HIDDEN" NAME="LName_Required" VALUE="Please enter your last name">
<input type="HIDDEN" NAME="Address1_Required" VALUE="Please enter your address">
<input type="HIDDEN" NAME="City_Required" VALUE="Please enter your city">
<input type="HIDDEN" NAME="To_Required" VALUE="Please enter your zip code">
<input type="HIDDEN" NAME="Email_Required" VALUE="Please enter your e-mail address.">
<input type="HIDDEN" NAME="Phone_Required" VALUE="Please enter your telephone number.">
<input type="HIDDEN" NAME="Shipping" VALUE='#TRIM(NumberFormat(Shipping, 999.99))#'>
<input type="HIDDEN" NAME="OrderID" VALUE='#form.OrderID#'>
<input type="HIDDEN" NAME="OrderTotal" VALUE='#OrderTotal#'>
<input type="HIDDEN" NAME="GrandTotal" VALUE='#TRIM(NumberFormat(GrandTotal,"999999999.99"))#'>
<input type="HIDDEN" NAME="ShipWeight" VALUE='#form.ShipWeight#'>
<input type="HIDDEN" NAME="OrderOffline" VALUE="off">
<input type="HIDDEN" NAME="id" VALUE="#id#">
<input type="HIDDEN" NAME="registered" <cfif #reg# IS "n">VALUE="no"<cfelse>VALUE="yes"</cfif>>
<input type="HIDDEN" NAME="password" VALUE="#password#"> 
<input type="HIDDEN" NAME="echeck" VALUE="off"> 
<TABLE BGCOLOR="FFFFFF" WIDTH="430" BORDER="1" BORDERCOLORDARK="CECECE" BORDERCOLOR="BLACK" CELLPADDING=0 CELLSPACING=0>
<TR><TD>

<TABLE cellpadding="3" cellspacing="0" BORDER="0" WIDTH="100%" bgcolor="##FFFFFF">


<TR>
<TD COLSPAN="3" ALIGN="CENTER"><font face="arial" size="2">(</font><font face="arial" color="red" size="2">*</font> <font face="arial" size="2">indicates required field)</font></TD></TR>


<TR><TD width="5%">&nbsp;</TD><TD><font class="text">First Name</font><font size="1" color="red">*</font><font face="verdana, arial, helvetica" SIZE="-1"><B>:</B></FONT></TD><TD><INPUT CLASS="formfieldshort" TYPE="TEXT" NAME="FName" SIZE="15" <cfif reg IS "y">VALUE="#getEMail.CustFName#"</cfif>></TD></TR>

<TR><TD>&nbsp;</TD><TD><font class="text">Last Name</font><font size="1" color="red">*</font><font face="verdana, arial, helvetica" SIZE="-1"><B>:</B></FONT></TD><TD><INPUT CLASS="formfieldshort" TYPE="TEXT" NAME="LName" SIZE="15" <cfif reg IS "y">VALUE="#getEMail.CustLName#"</cfif>></TD></TR>

<TR><TD>&nbsp;</TD><TD><font class="text">E-Mail</FONT><font size="1" color="red">*</font><font class="boldtext">:</FONT></TD><TD><INPUT CLASS="formfieldlong" TYPE="TEXT" NAME="Email" SIZE="25" <cfif reg IS "y">VALUE="#getEMail.CustEMail#"</cfif>></TD></TR>

<TR><TD>&nbsp;</TD><TD><font class="text">Phone:</FONT><font size="1" color="red">*</font></TD><TD><INPUT CLASS="formfieldshort" TYPE="TEXT" NAME="Phone" SIZE="25" <cfif reg IS "y">VALUE="#getEMail.CustPhone#"</cfif>></TD></TR>

<TR><TD>&nbsp;</TD><TD><font class="text"><font class="text">Address 1</font><font size="1" color="red">*</font><font face="verdana, arial, helvetica" SIZE="-1"><B>:</B></FONT></TD><TD><INPUT CLASS="formfieldlong" TYPE="TEXT" NAME="Address1" SIZE="25" <cfif reg IS "y">VALUE="#getEMail.CustAddress1#"</cfif>></TD></TR>

<TR><TD>&nbsp;</TD><TD><font class="text"><font class="text">Address 2</font><font face="verdana, arial, helvetica" SIZE="-1"><B>:</B></FONT></TD><TD><INPUT CLASS="formfieldlong" TYPE="TEXT" NAME="Address2" SIZE="25" <cfif reg IS "y">VALUE="#getEMail.CustAddress2#"</cfif>></TD></TR>

<TR><TD>&nbsp;</TD><TD><font class="text">City</font><font size="1" color="red">*</font><font face="verdana, arial, helvetica" SIZE="-1"><B>:</B></FONT></TD><TD><INPUT CLASS="formfieldshort" TYPE="TEXT" NAME="City" SIZE="20" <cfif reg IS "y">VALUE="#getEMail.CustCity#"</cfif>></TD></TR>
</cfoutput>

<TR><TD>&nbsp;</TD><TD><font class="text">State</font><font size="1" color="red">*</font><font face="verdana, arial, helvetica" SIZE="-1"><B>:</B></FONT></TD><TD>

<!-- STATE SELECT DROP-DOWN -->
<select CLASS="formfielddropdown" name="State">
	<cfoutput query="getStates">
           <option <cfif reg IS "y"><cfif "#getEMail.CustState#" IS '#State#' OR #getEMail.CustState# IS '#Abbreviation#'>SELECTED</cfif></cfif>>#State#</option>
	</cfoutput>
</select>
<!-- STATE SELECT DROP-DOWN -->

</TD>
</TR>
<cfoutput>

<TR><TD>&nbsp;</TD><TD nowrap><font class="text">Zip</FONT><font size="1" color="red">*</font><font class="boldtext">:</FONT></TD><TD>

<INPUT CLASS="formfieldshort" TYPE="TEXT" NAME="To" SIZE="8" <cfif reg IS "y">VALUE="#getEMail.CustZip#"</cfif>></TD>
</TR>
</cfoutput>

<TR><TD>&nbsp;</TD><TD><font class="text">Country:</FONT><font size="1" color="red">*</font><font class="boldtext">:</FONT></TD><TD>

	<SELECT CLASS="formfielddropdown" name="Country">
	<OPTION VALUE="US" SELECTED>United States of America
	<OPTION VALUE="Canada">Canada
	<CFOUTPUT QUERY="Countries">
	<OPTION VALUE="#Countries.Country#" <cfif reg IS "y"><cfif #Countries.Country# IS #getEMail.CustCountry#>SELECTED</cfif></cfif>>#Countries.Country#
	</CFOUTPUT>
	</SELECT>

</TD></TR>

<cfif #getParams.shipmethod# IS "ups">
<TR><TD>&nbsp;</TD><TD><font class="text">Shipping Method:</FONT><font size="1" color="red">*</font><font class="boldtext">:</FONT></TD>

<TD>
	<SELECT CLASS="formfieldshipping" name="SERVICE">
	<OPTION VALUE="1DA" SELECTED>Next Day Air
	<OPTION VALUE="1DP">Next Day Air Saver (U.S. only)
	<OPTION VALUE="2DM">2nd Day Air AM (U.S. only)
	<OPTION VALUE="2DA">2nd Day Air (U.S. only)
	<OPTION VALUE="3DS">3 Day Select
	<OPTION VALUE="GNDCOM">Ground (commercial, U.S. destinations)
	<OPTION VALUE="GNDRES">Ground (residential, U.S. destinations)
	<OPTION VALUE="CANSTD">Canada Standard (Canadian destinations)
	</SELECT>
</TD>
</TR>

</cfif>

<cfoutput>

<cfif #getParams.allowcustomercomments# CONTAINS "on">
<TR><TD>&nbsp;</TD><TD NOWRAP ALIGN="left" VALIGN="top"><font class="text"><cfoutput>#getParams.comments_label#</cfoutput>:</font>&nbsp;&nbsp;</font></TD>
<TD nowrap VALIGN="top"><TEXTAREA NAME="Comments" ROWS="4" COLS="20"></TEXTAREA>&nbsp;&nbsp;
</TD></TR>
</cfif>


<TR><TD>&nbsp;&nbsp;&nbsp;</TD><TD COLSPAN="2"><INPUT TYPE="CHECKBOX" NAME="shipto" value="on" CHECKED><font class="text">Shipping address is same</font><BR><BR></TD></TR>

<TR><TD colspan="3" align="CENTER">
<FONT COLOR="BLUE" SIZE="2"><B>ENTER SHIPPING ADDRESS IF DIFFERENT</B></FONT><br>
</TD></TR>

<TR><TD>&nbsp;</TD><TD><font class="text">Ship Name<font size="1" color="red">*</font>:</FONT></TD><TD><INPUT CLASS="formfieldshort" TYPE="TEXT" NAME="ShipName" SIZE="25" onChange="document.myform1.shipto.checked=false"></TD></TR>

<TR><TD>&nbsp;</TD><TD><font class="text">Ship Address<font size="1" color="red">*</font>:</FONT></TD><TD><INPUT CLASS="formfieldlong" TYPE="TEXT" NAME="ShipAddress1" SIZE="30"></TD></TR>
</TR>

<TR><TD>&nbsp;</TD><TD><font class="text">Ship City<font size="1" color="red">*</font>:</FONT></TD><TD><INPUT CLASS="formfieldshort" TYPE="TEXT" NAME="ShipCity" SIZE="20"></TD></TR>
</cfoutput>

<TR><TD>&nbsp;</TD><TD><font class="text">Ship State<font size="1" color="red">*</font>:</FONT></TD><TD>

<!-- STATE SELECT DROP-DOWN -->
<select CLASS="formfielddropdown" name="ShipState">
	<cfoutput query="getStates">
        <option>#State# </option>
	</cfoutput>                
</select>
<!-- STATE SELECT DROP-DOWN -->

</TD></TR>


<TR><TD>&nbsp;</TD><TD><font class="text">Ship Zip<font size="1" color="red">*</font>:</FONT></TD><TD><INPUT CLASS="formfieldshort" TYPE="TEXT" NAME="ShipZip" SIZE="8"></TD></TR>

<TR><TD>&nbsp;</TD><TD><font class="text">Ship Country:</FONT></TD><TD>

	<SELECT CLASS="formfielddropdown" name="ShipCountry">
	<OPTION VALUE="US" SELECTED>United States of America
	<OPTION VALUE="Canada">Canada
	<CFOUTPUT QUERY="Countries">
	<OPTION VALUE="#Countries.Country#" <cfif reg IS "y"><cfif #Countries.Country# IS #getEMail.CustCountry#>SELECTED</cfif></cfif>>#Countries.Country#
	</CFOUTPUT>
	</SELECT>

</TD></TR>
<cfoutput>

<TR>
<TD align="absmiddle" nowrap colspan=3><cfif #getParams.processor# IS "AuthNet-WellsFargo" OR #getParams.processor# IS "AuthorizeNet">
<INPUT TYPE="CHECKBOX" NAME="echeck" VALUE="on"><font class="text">I prefer to order by e-check.</font><br></cfif>
<INPUT TYPE="CHECKBOX" NAME="OrderOffline" VALUE="on"><font class="text">I prefer to order offline.</font></TD></TR>

<TR><TD COLSPAN="3" align="center"><INPUT TYPE="image" NAME="SUBMIT" src="images/next.gif" border="0"><br></TD></TR>

</TABLE>
</TD></TR>
</TABLE>
</FORM>



</cfoutput>
</CENTER>
</BODY>
</HTML>





