<cfif #parameterexists(form.shipto)# IS "No">	
	<cfset to_zip = #form.shipzip#>
<cfelse>
	<cfset to_zip = #form.to#>
</cfif>

<cfparam name="discount" default=0>

<cfif NOT #form.shipto# IS "on"> 
	<cfset form.shipstate = form.shipstate>
<cfelse>
	<cfset form.shipstate = form.state>
</cfif>

<cfquery datasource="#datasource#" name="checksurchg">
SELECT * FROM Surcharge
</cfquery>

<cfif #getParams.shipmethod# IS "ups">

<cfparam name="UPS_Charge" default = "0">

<CF_UPSPrice 
SERVICE="#form.Service#" 
FROM="#getParams.storezip#" 
TO="#to_zip#" 
WEIGHT="#form.ShipWeight#">

<cfif #UPS_Charge# IS "">
<cfset UPS_Charge = 0>
</cfif>

<CFOUTPUT>

<cfset shipping = #UPS_Charge#>

<cfif #checksurchg.RecordCount# GT 0>
	<cfif #checksurchg.surchgtype# IS "FLAT">
		<cfset surchg = #checksurchg.surchgamt#>
		<cfset shipping = shipping + surchg>
	<cfelseif #checksurchg.surchgtype# IS "PCT">
		<cfset surchg = #checksurchg.surchgamt# * #form.ShipWeight#>
		<cfset shipping = shipping + surchg>
	</cfif>
</cfif>
</CFOUTPUT>


<cfelse>

	<cfset shipping = form.shipping>

</cfif>




<CFQUERY datasource="#datasource#" NAME="getCCtypes">
SELECT ccards 
FROM Params 
</CFQUERY>

<cfset ccarray = ListToArray(ValueList(getCCtypes.ccards))>

<cfset id = #form.id#>

	<cfif #id# IS 0>
		<cfquery datasource="#datasource#" name="ret_cust">
		SELECT MAX(CustID) as maxcustid FROM Customers 
		WHERE CustFName = '#form.FName#' 
		AND CustLName = '#form.LName#' 
		AND CustEMail = '#form.EMail#' 
		</cfquery>

		<cfif #ret_cust.RecordCount# GT 0>
			<cfset id = #ret_cust.maxcustid#>
		</cfif>
	</cfif>


	<cfif #id# IS "">
		<cfset id = 0>
	</cfif>

<cfset thisyear = #DatePart("yyyy", Now())#>
<cfset expyear = #thisyear#>



<cfquery datasource="#datasource#" name="showorder">
	SELECT Orders.Quantity,Orders.ItemID, Orders.ItemTotal,Orders.TotItemWeight,
	Orders.Att1,Orders.Att2,Products.A1, Products.A2, Products.Price,Products.ItemName,Products.Units, Products.Taxable, Products.Coupon  
	FROM Orders, Products 
	WHERE Orders.ItemID = Products.ItemID 
	AND Orders.OrderID = <cfqueryparam value="#form.OrderID#" cfsqltype="CF_SQL_NUMERIC"> 
</cfquery>
	
<cfset OrderTotal = 0>
<cfset TotOrderWeight = 0>
<cfset TaxableTotal = 0>




<CFLOOP QUERY="showorder">

<CFSET OrderTotal = #OrderTotal# + #ItemTotal#>
<CFSET TotOrderWeight = #TotOrderWeight# + #TotItemWeight#>
</CFLOOP>


<!-- VV IF COUPON WAS ENTERED VV -->
	<cfparam name="couponused" default="N">
	<cfif #parameterexists(Submit)#>
		<cfif #Submit# IS "Update Cart">
		<cfquery datasource="#datasource#" name="checkcoupon">
		SELECT * FROM coupons 
		WHERE Coupon = '#form.coupon#' 
		AND dtend > Now() 
		AND dtstart < Now()
		</cfquery>
			<cfif #checkcoupon.RecordCount# GT 0>
				<cfif #checkcoupon.cdiscispct# IS "1">
				<cfset OrderTotal = OrderTotal - (OrderTotal*(checkcoupon.cdisc/100))>
				<cfset Discount = showorder.ItemTotal*(checkcoupon.cdisc/100)>
				<cfset GrandTotal = GrandTotal - Discount>
				<cfset couponused = "Y">
				<cfelse>
				<cfset OrderTotal = showorder.ItemTotal - checkcoupon.cdisc>
				<cfset Discount = checkcoupon.cdisc>
				<cfset GrandTotal = GrandTotal - Discount>
				<cfset couponused = "Y">
				</cfif>
			</cfif>
		</cfif>
	</cfif>

<!-- ^^ IF COUPON WAS ENTERED ^^ -->

<CFLOOP QUERY="showorder">
	<cfif Taxable EQ 1>
	<CFSET TaxableTotal = #TaxableTotal# + #ItemTotal#>
		<cfif #TaxableTotal# GT OrderTotal>
			<cfset TaxableTotal = OrderTotal>
		</cfif>
	</cfif>
</CFLOOP>


<!--- IF SHIPSTATE IS SAME AS BILLING STATE, GO AHEAD AND CALCULATE SALES TAX --->

<cfif #Parameterexists(form.shipto)#>	
<cfquery datasource="#datasource#" name="checkstate">
SELECT rate FROM SalesTax 
WHERE State = '#form.State#'
</cfquery>
	
	<cfif #checkstate.RecordCount# GT 0>
	<cfset salestax = ((#checkstate.rate#*0.01) * #TaxableTotal#)>
      <cfset salestax = #NumberFormat(salestax, "999999999.99")#>

		<cfset GrandTotal = #NumberFormat(OrderTotal, "999999999.99")# + #NumberFormat(shipping, "999999999.99")# + #salestax# - #discount#>

	<cfelse>
		<cfset GrandTotal = #form.OrderTotal# + #shipping# - #discount#>
	</cfif>
</cfif>

<!--- END SALES TAX CALCULATION --->


<CENTER>

<!--- IF SHIPSTATE IS DIFFERENT FROM BILLING STATE, CALCULATE SALES TAX USING SHIPSTATE --->

<cfif #parameterexists(form.shipto)# IS "No">	
<cfquery datasource="#datasource#" name="checkstate">
SELECT rate FROM SalesTax 
WHERE State = '#form.ShipState#'
</cfquery>




	
	<cfif #checkstate.RecordCount# GT 0>
	<cfset salestax = ((#checkstate.rate#*0.01) * #TaxableTotal#)>
      <cfset salestax = NumberFormat(#salestax#, 99.99)>
		<cfif #Len(shipping)# GT 0>
		<cfset GrandTotal = #OrderTotal# + #shipping# + #salestax#>
		<cfelse>
		<cfset GrandTotal = #OrderTotal# + #salestax#>
		</cfif>
	<cfelse>
		<cfset GrandTotal = #OrderTotal# + #shipping#>
	</cfif>


</cfif>

<!--- END SALES TAX CALCULATION --->

<!--- *************************************************************  --->
<!--- **********  OFFLINE ORDERING OPTION HANDLED HERE ************  --->
<!--- *************************************************************  --->

<cfif #form.OrderOffline# CONTAINS "on">

<TABLE WIDTH="450" CELLSPACING="0" cellpadding="4" border="0">
<cfoutput>
<tr><td colspan="7"><font class="boldtext">#storename# Order Form</font></td></tr>
<tr><td colspan="7"><font class="text">Please complete this form and fax to #getParams.storefax# or mail with payment to:<br>
#getParams.storeaddy#<br>
#getParams.storecity#, #getParams.storestate# #getParams.storezip#<br><br><br>
</font></td></tr>
</cfoutput>
</table>

<table border="1" CELLSPACING="0" CELLPADDING="0">
<tr><td>
<TABLE WIDTH="450" CELLSPACING="0" cellpadding="4" border="0">
<CFOUTPUT>
<TR BGCOLOR="##A3CCFF"><TD WIDTH="30%"><font class="boldtext" color="black">Item</font></TD><TD>&nbsp;&nbsp;&nbsp;</TD><TD>&nbsp;&nbsp;&nbsp;</TD><TD align="right"><font class="boldtext" color="black">Price</font></TD><TD align="right"><font class="boldtext" color="black">Qty</font></TD>
<TD align="right"><font class="boldtext" color="black">Total</font></TD>
<TD align="right" width="15%"><cfif #shipmethod# is "weight"><font class="boldtext" color="black">Weight</font><cfelse>&nbsp;</cfif></TD>
</TR>
</CFOUTPUT>
<CFOUTPUT QUERY="showorder">
<TR>
<TD><font class="text">#showorder.ItemName#</font></TD>
<TD nowrap><font class="text"><cfif #LEN(showorder.Att1)# GT 0>#showorder.Att1#<cfelse>&nbsp;</cfif></font></TD>
<TD nowrap><font class="text"><cfif #LEN(showorder.Att2)# GT 0>#showorder.Att2#<cfelse>&nbsp;</cfif></font></TD>
<TD align="right" nowrap><font class="text">#NumberFormat(showorder.ItemTotal/showorder.Quantity,"999,999,999.99")#</font></TD>
<TD align=right nowrap><font class="text">#showorder.Quantity# <cfif #LEN(showorder.Units)# GT 0>#showorder.Units#</cfif></font></TD>
<TD align="right"><font class="text">#TRIM(NumberFormat(showorder.ItemTotal,"999,999,999.99"))#</font></TD>
<TD align="right" nowrap><font class="text"><cfif #shipmethod# is "weight"><cfset weight=#showorder.TotItemWeight#/16>#NumberFormat(weight,"______.__")# lbs.<cfelse>&nbsp;</cfif></font></TD></TR>
</CFOUTPUT>

<CFOUTPUT>
<TR bgcolor="##CCE6FF">
<TD bgcolor="##CCE6FF" colspan=2><font class="text">Order SubTotal</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD><TD bgcolor="##CCE6FF">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##CCE6FF"><font class="text">#DollarFormat(OrderTotal)#</font></TD>
<TD>&nbsp;</TD></TR>

<cfif NOT #getParams.shipmethod# IS "ups">

<TR>
<TD bgcolor="##CCE6FF" colspan=2><font class="text">Shipping <cfif #shipmethod# is "weight"><cfif #ShipWeight# GT 0>(#TRIM(NumberFormat(ShipWeight,"99,999.99"))# lbs.)</cfif><cfelseif #shipmethod# is "optiontable">(#form.optionpicked#)</cfif></font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD><TD bgcolor="##CCE6FF">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##CCE6FF"><font class="text">#DollarFormat(Shipping)#</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD>
</TR>

<cfelse>

<TR>
<TD bgcolor="##CCE6FF" colspan=2><font class="text">Shipping</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD><TD bgcolor="##CCE6FF">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##CCE6FF"><font class="text">#DollarFormat(shipping)#</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD>
</TR>

</cfif>

<cfif #parameterexists(salestax)#>
<TR>
<TD bgcolor="##CCE6FF" colspan=2><font class="text">Sales Tax</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD><TD bgcolor="##CCE6FF">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##CCE6FF"><font class="text">#TRIM(NumberFormat(salestax,"999,999,999.99"))#</font></TD>
<TD bgcolor="##CCE6FF">&nbsp;</TD>
</TR>
</cfif>
<TR><TD><font class="text">Order Total</font></TD><TD>&nbsp;</TD>
<TD>&nbsp;</TD><TD COLSPAN=3 align="right"><font class="boldtext">#TRIM(NumberFormat(GrandTotal,"$999,999,999.99"))#</font></TD>
<TD>&nbsp;</TD>
</TR>
<tr><td colspan="6"></td></tr>
</table>
</td></tr>
</table>
<P>
<table border="0" CELLSPACING="0" CELLPADDING="0">
<tr><td>
<TABLE WIDTH="450" CELLSPACING="0" cellpadding="4" border="1">
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Name:</font></TD><TD colspan="6"><cfif #LEN(form.FName)# GT 0>#form.FName#<cfelse>&nbsp;</cfif> <cfif #LEN(form.LName)# GT 0>#form.LName#<cfelse>&nbsp;</cfif></td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Address Line 1:</font></TD><TD colspan="6"><cfif #LEN(form.Address1)# GT 0>#form.Address1#<cfelse>&nbsp;</cfif></td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Address Line 2:</font></TD><TD colspan="6">&nbsp;</td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">City, State, Zip:</font></TD><TD colspan="4"><cfif #LEN(form.City)# GT 0>#form.City#<cfelse>&nbsp;</cfif></td><TD colspan="1"><cfif #LEN(form.State)# GT 0>#form.State#<cfelse>&nbsp;</cfif></td><TD><cfif #LEN(form.To)# GT 0>#form.To#<cfelse>&nbsp;</cfif></td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Phone:</font></TD><TD colspan="6"><cfif #LEN(form.Phone)# GT 0>#form.Phone#<cfelse>&nbsp;</cfif></td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">E-Mail:</font></TD><TD colspan="6">#form.Email#</td></TR>
<cfif NOT #Parameterexists(form.shipto)#>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Ship Name:</font></TD><TD colspan="6"><cfif #LEN(form.ShipName)# GT 0>#form.ShipName#<cfelse>&nbsp;</cfif></td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Ship Address 1:</font></TD><TD colspan="6"><cfif #LEN(form.ShipAddress1)# GT 0>#form.ShipAddress1#<cfelse>&nbsp;</cfif></td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Ship Address 2:</font></TD><TD colspan="6">&nbsp;</td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE" nowrap><font class="boldtext" color="black">Ship City, State, Zip:</font></TD><TD colspan="3"><cfif #LEN(form.ShipCity)# GT 0>#form.ShipCity#<cfelse>&nbsp;</cfif></td><TD colspan="2"><cfif #LEN(form.ShipZip)# GT 0>#form.ShipState#<cfelse>&nbsp;</cfif></td><TD><cfif #LEN(form.ShipZip)# GT 0>#form.ShipZip#<cfelse>&nbsp;</cfif></td>
</cfif>
</CFOUTPUT>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">CC Name:</font></TD><TD colspan="6">&nbsp;</td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE" nowrap><font class="boldtext" color="black">Credit Card Type:</font></TD><TD colspan="3"><input type="checkbox" name="Visa"> Visa</td><TD colspan="2"><input type="checkbox" name="MC"> MasterCard</td><TD><input type="checkbox" name="Amex"> Amex</td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE" nowrap><font class="boldtext" color="black">&nbsp;</font></TD><TD colspan="3"><input type="checkbox" name="Disc"> Discover</td><TD colspan="3">&nbsp;</td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Credit Card No.:</font></TD><TD colspan="6">&nbsp;</td></TR>
<TR><TD WIDTH="30%" BGCOLOR="EEEEEE"><font class="boldtext" color="black">Expiration:</font></TD><TD colspan="6">&nbsp;</td></TR>
</TABLE>
</td></tr>
</table>


<cfabort>
</cfif>

<!--- *************************************************************  --->
<!--- **************   END OFFLINE ORDERING OPTION   **************  --->
<!--- *************************************************************  --->


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->




<!--- *************** CHECKOUT METHOD INCLUDES **************** --->
<cfif #paypalonly# CONTAINS "on">
<cfinclude template="./includes/pp_only.cfm">
<cfelseif #offerpaypal# CONTAINS "on">
<cfinclude template="./includes/pp_option.cfm">
<cfelse>
<cfinclude template="./includes/cc_only.cfm">
</cfif>
<!--- *************** CHECKOUT METHOD INCLUDES **************** --->





