<cfset caller.ups_name="Second Day Air">
<!--- 
now we get the specific weight/rate record 
--->
<cfquery 
	datasource="#attributes.SiteDSN#" 
	name="RateGrab" 
	maxrows="1" 
	username="#request.UPSRUName#" 
	password="#request.UPSRPWD#">
	SELECT
		ups_2da.Weight,
		ups_2da.Zone202,
		ups_2da.Zone203,
		ups_2da.Zone204,
		ups_2da.Zone205,
		ups_2da.Zone206,
		ups_2da.Zone207,
		ups_2da.Zone208,
		ups_2da.Zone224,
		ups_2da.Zone225,
		ups_2da.Zone226
	FROM ups_2da
	WHERE 
		ups_2da.Weight <= 
		<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.ShipWeight#">
	ORDER BY 
		ups_2da.Weight DESC
</cfquery>
<!--- 
Now we pull the rate itself from the service database 
--->
<cfswitch expression="#ZoneGrab.SecondDayAir#">
	<cfcase value="202"><cfset caller.ups_Charge=RateGrab.Zone202></cfcase>
	<cfcase value="203"><cfset caller.ups_Charge=RateGrab.Zone203></cfcase>
	<cfcase value="204"><cfset caller.ups_Charge=RateGrab.Zone204></cfcase>
	<cfcase value="205"><cfset caller.ups_Charge=RateGrab.Zone205></cfcase>
	<cfcase value="206"><cfset caller.ups_Charge=RateGrab.Zone206></cfcase>
	<cfcase value="207"><cfset caller.ups_Charge=RateGrab.Zone207></cfcase>
	<cfcase value="208"><cfset caller.ups_Charge=RateGrab.Zone208></cfcase>
	<cfcase value="224"><cfset caller.ups_Charge=RateGrab.Zone204></cfcase>
	<cfcase value="225"><cfset caller.ups_Charge=RateGrab.Zone205></cfcase>
	<cfcase value="226"><cfset caller.ups_Charge=RateGrab.Zone206></cfcase>
	<cfcase value="-">
		<!--- 
		service not available here.  No explanation given 
		--->
		<cfset caller.ups_Error="The shipping service you requested is unavailable in your area.">
	</cfcase>
	<cfcase value="[1]">
		<!--- 
		service not available here. 
		--->
		<cfset caller.ups_Error="Shipment to the Virgin Islands, Guam and the Marshall Islands is not presently available">
	</cfcase>
	<cfcase value="[2]">
		<!--- 
		Hawaii!  Needs special processing 
		--->
		<cfquery 
			datasource="#attributes.SiteDSN#" 
			name="HZoneGrab" 
			maxrows="1" 
			username="#request.UPSRUName#" 
			password="#request.UPSRPWD#">
			SELECT
				ups_hawaii.ZIP,
				ups_hawaii.SecondDay
			FROM ups_hawaii
			WHERE 
				ups_hawaii.ZIP=
				<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.PostalCode#">
		</cfquery>
		<cfset HZone=HZoneGrab.SecondDay>
		<cfswitch expression="#HZone#">
			<cfcase value="224"><cfset caller.ups_Charge=RateGrab.Zone224></cfcase>
			<cfcase value="226"><cfset caller.ups_Charge=RateGrab.Zone226></cfcase>
		</cfswitch>
	</cfcase>
	<cfcase value="[3]">
		<!--- 
		Alaska!  Needs special processing 
		--->
		<cfquery 
			datasource="#attributes.SiteDSN#" 
			name="AZoneGrab" 
			maxrows="1" 
			username="#request.UPSRUName#" 
			password="#request.UPSRPWD#">
			SELECT
				ups_alaska.ZIP,
				ups_alaska.SecondDay
			FROM ups_alaska
			WHERE 
				ups_alaska.ZIP=
				<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.PostalCode#">
		</cfquery>
		<cfset AZone=AZoneGrab.SecondDay>
		<cfswitch expression="#AZone#">
			<cfcase value="224"><cfset caller.ups_Charge=RateGrab.Zone224></cfcase>
			<cfcase value="226"><cfset caller.ups_Charge=RateGrab.Zone226></cfcase>
		</cfswitch>
	</cfcase>
</cfswitch>
<!--- 
test for and include the Extended Area and Residential surcharges if applicable 
--->
<cfinclude template="inc_xarea.cfm">
<cfif caller.ups_Charge GT 0 and Xarea.RecordCount GT 0>
	<cfif not CompareNoCase(attributes.ResRates,"YES")>
		<cfset caller.ups_Charge=caller.ups_Charge+attributes.TwoDayResDASCharge>
	<cfelse>
		<cfset caller.ups_Charge=caller.ups_Charge+attributes.TwoDayComDASCharge>
	</cfif>
</cfif>
<cfif caller.ups_Charge GT 0 and not CompareNoCase(attributes.ResRates,"YES")>
	<cfset caller.ups_Charge=caller.ups_Charge+attributes.TwoDayResCharge>			
</cfif>
