<cfset caller.ups_name="Second Day Air A.M.">
<!--- 
now we get the specific weight/rate record 
--->
<cfquery 
	datasource="#attributes.SiteDSN#" 
	name="RateGrab" 
	maxrows="1" 
	username="#request.UPSRUName#" 
	password="#request.UPSRPWD#">
	SELECT
		ups_2dam.Weight,
		ups_2dam.Zone242,
		ups_2dam.Zone243,
		ups_2dam.Zone244,
		ups_2dam.Zone245,
		ups_2dam.Zone246,
		ups_2dam.Zone247,
		ups_2dam.Zone248
	FROM ups_2dam
	WHERE 
		ups_2dam.Weight <= 
		<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.ShipWeight#">
	ORDER BY 
		ups_2dam.Weight DESC
</cfquery>
<!--- 
Now we pull the rate itself from the service database 
--->
<cfswitch expression="#ZoneGrab.SecondDayAirAM#">
	<cfcase value="242"><cfset caller.ups_Charge=RateGrab.Zone242></cfcase>
	<cfcase value="243"><cfset caller.ups_Charge=RateGrab.Zone243></cfcase>
	<cfcase value="244"><cfset caller.ups_Charge=RateGrab.Zone244></cfcase>
	<cfcase value="245"><cfset caller.ups_Charge=RateGrab.Zone245></cfcase>
	<cfcase value="246"><cfset caller.ups_Charge=RateGrab.Zone246></cfcase>
	<cfcase value="247"><cfset caller.ups_Charge=RateGrab.Zone247></cfcase>
	<cfcase value="248"><cfset caller.ups_Charge=RateGrab.Zone248></cfcase>
	<cfcase value="-">
		<!--- 
		service not available here.  No explanation given 
		--->
		<cfset caller.ups_Error="The shipping service you requested is unavailable in your area.">
	</cfcase>
</cfswitch>
<cfinclude template="inc_xarea.cfm">
<cfif caller.ups_Charge GT 0 and Xarea.RecordCount GT 0>
	<cfif CompareNoCase(attributes.ResRates,"YES")>
		<cfset caller.ups_Charge=caller.ups_Charge+attributes.TwoDayAMDASCharge>
	</cfif>
</cfif>
