<!--- set variables to be sent to paypal --->
<CFSET user = "#TRIM(getParams.loginid)#">
<CFSET password = "#TRIM(getParams.paypassword)#">
<CFSET partner = "#TRIM(getParams.partner)#">
<CFSET vendor = "#TRIM(getParams.vendor)#">
<CFSET TRXTYPE = "S">
<CFSET TENDER = "C">
<CFSET amount = #form.GrandTotal#>
<CFSET ccExpDate = #form.cc_expmonth##form.cc_expyear#>
<CFSET account = #form.CCNumber#>
<CFSET Request_ID = "#VARIABLES.UUresult#">

<!-- DETERMINE TEST OR LIVE URL -->
<cfif #getParams.testmode# IS "TEST">
<cfset payurl = "https://pilot-payflowpro.paypal.com">
<cfelse>
<cfset payurl = "https://payflowpro.paypal.com">
</cfif>

<CFSET RC="-1">
 
<!--- concatenate into one string --->
<CFSET PARAM=
 "USER=#user#&"&
  "PWD=#password#&PARTNER=#partner#&VENDOR=#vendor#&"&
 "TRXTYPE=#TRXTYPE#&TENDER=#TENDER#&AMT=#amount#&EXPDATE=#ccExpDate#&"&
 "ACCT=#account#&VERBOSITY=MEDIUM&"&
  "REQUEST_ID=#Request_ID#">
 
<!--- send them to paypal --->  
<CFHTTP  URL="#payurl#" METHOD="post" RESOLVEURL="yes" TIMEOUT="30">
<CFHTTPPARAM TYPE="header" NAME="Connection" VALUE="close">
<CFHTTPPARAM TYPE="header" NAME="Content-Type" VALUE="text/namevalue">
<CFHTTPPARAM TYPE="header" NAME="Content-Length" VALUE="#Len(Param)#">
<CFHTTPPARAM TYPE="header" NAME="Host" VALUE="pilot-payflowpro.verisign.com">
<CFHTTPPARAM TYPE="header" NAME="X-VPS-REQUEST-ID" VALUE="#Request_ID#">
<CFHTTPPARAM TYPE="header" NAME="X-VPS-CLIENT-TIMEOUT" VALUE="30">
<CFHTTPPARAM TYPE="header" NAME="X-VPS-VIT-Integration-Product" VALUE="Coldfusion">
<CFHTTPPARAM TYPE="header" NAME="X-VPS-VIT-Integration-Version" VALUE="6.1MX">
<CFHTTPPARAM TYPE="body" NAME="literacy" ENCODED="no" VALUE="#PARAM#">
</CFHTTP>
 
<!--- parse return information from paypal - this code from Anthony Kowalick --->
<cfset pp_response = cfhttp.filecontent>
<CFSET MSG="RESPMSG=([^&]*)">
<CFSET RESULT_CODE="RESULT=([^&]*)">
<CFSET PNREF="PNREF=([^&]*)">
<CFSET CVV2_CODE="CVV2MATCH=([^&]*)">
<CFSET match_msg=REFindNoCase(MSG,pp_response,1,true)>
<CFSET match_result=REFindNoCase(RESULT_CODE,pp_response,1,true)>
<CFSET match_pnref=REFindNoCase(PNREF,pp_response,1,true)>
<CFSET match_cvv2=REFindNoCase(CVV2_CODE,pp_response,1,true)>
<CFIF match_msg.len[1]>
<CFSET respmsg=mid(pp_response,match_msg.pos[2],match_msg.len[2])>
</CFIF>
<CFIF match_result.len[1]>
<CFSET result=mid(pp_response,match_result.pos[2],match_result.len[2])>
</CFIF>
<CFIF match_pnref.len[1]>
<CFSET PNREF_CODE=mid(pp_response,match_pnref.pos[2],match_pnref.len[2])>
</CFIF>
<CFIF match_cvv2.len[1]>
<CFSET CVV2_MATCH=mid(pp_response,match_cvv2.pos[2],match_cvv2.len[2])>
</CFIF>

<!--- look for the name/value pair "Result". If    --->
<!--- "Result" is equal to 0, we have a successful --->
<!--- transaction	                           --->


<CFOUTPUT>				
<CFIF #result# IS "0">
	<CFIF #respmsg# IS "APPROVED">
		<CFSET RC = "0">
	</CFIF>
</CFIF>

<CFIF #RC# IS "0">

<!--- ********************************************** --->
<!---          here handle the success               --->

<cfinclude template="../finish_order.cfm">

<cfabort>

<cfelse>


<!--- here handle the failure --->
<!--- ******************************** --->
<!--- Here determine next order number --->

<cfquery datasource="#datasource#" name="getordernum">
SELECT MAX(OrderNum)+1 as nextnum FROM OrdHistDetail 
</cfquery>

<cfif #LEN(getordernum.nextnum)# IS 0>
<cfset nextnum = 1>
<cfelse>
<cfset nextnum = #getordernum.nextnum#>
</cfif>

<!---       End order numbering        --->
<!--- ******************************** --->

<cfquery datasource="#datasource#" name="getcustid">
SELECT MAX(CustID)+1 as nextid FROM Customers 
</cfquery>

<cfif #LEN(getcustid.nextid)# IS 0>
<cfset nextid = 1>
<cfelse>
<cfset nextid = #getcustid.nextid#>
</cfif>

<cfset ccexpires = '#form.cc_expmonth#/#form.cc_expyear#'>

	
<cfquery datasource="#datasource#">
INSERT INTO Customers (CustID, CustFName, CustLName, CustPhone, CustEMail, CustAddress1, CustAddress2, CustCity, CustState, CustZip, CustCountry, LastOrderID, LastOrderDate, LastOrderAmt, CCName, CCType, CCNum, CCExpires, CustPWord)  
VALUES(#nextid#,'#form.FName#','#form.LName#','#form.Phone#','#form.Email#','#form.Address1#','#form.Address2#','#form.City#','#form.State#','#form.Zip#','#form.Country#','#OrderID#',
'#DateFormat(Now(),"MM/DD/YY")#',#form.Amount#,'#form.CCName#','#form.CCType#','#form.CCNumber#','#ccexpires#','')
</cfquery>

<cfloop query="showorder">
<cfquery datasource="#datasource#">
INSERT INTO OrderHist (OrderNum, CustID, ItemID, SKU, Quantity, ItemTotal, TotItemWeight, Att1, Att2, Status)  
VALUES(#nextnum#,#nextid#,#ItemID#,'#SKU#',#Quantity#,#ItemTotal#,#TotItemWeight#,'#Att1#','#Att2#','Bad Order')
</cfquery>
</cfloop>

<cfquery datasource="#datasource#">
INSERT INTO OrdHistDetail (OrderNum, CustID, GrandTotal, Shipping, SalesTax, OrderDate, CustEMail, Notes, ShipDate, ShipMethod)  
VALUES(#nextnum#,#nextid#,0,0,0,'#DateFormat(Now(),"MM/DD/YY")#','#form.Email#','','#DateFormat(Now(),"MM/DD/YY")#','')
</cfquery>

<BODY>

<center>

<table BORDER="0" align="center" valign="top" width="80%">
<td valign="top" align="center">
<br><cfoutput><a href="#storeurl#"><img src="#storeurl#/images/#graphic#" border="0"></a></cfoutput></td></tr>
</table>
<br><br><center>
<font face="verdana, arial, helvetica" size=2><b>We're sorry, this transaction could not be authorized. <br>
Please check your information and try again. Thank You.<br><p>
<cfoutput>#result.respmsg#</cfoutput></b></font><br>


<p>
<a href="" onClick="history.go(-1)"><font face="verdana, arial, helvetica" size=2><b>Back</b></font></a>

<cfabort>
</center>
</CFIF>















