<cfquery datasource="#datasource#" name="product_detail">
SELECT * FROM Products 
WHERE Products.ItemID > 1
</cfquery>

<cfquery datasource="#datasource#" name="check_cats">
SELECT * FROM Categories 
WHERE Category <> 'Dummy'
</cfquery>

<cfif #check_cats.RecordCount# IS 0>
	<cfquery datasource="#datasource#" name="prodpage">
	SELECT * FROM Products 
	WHERE ItemID > 1 
	</cfquery>

<cfelse>	

	<cfquery datasource="#datasource#" name="prodpage">
	SELECT Products.*,Categories.*,ProdPics.* FROM ProdPics
	RIGHT JOIN (Categories INNER JOIN Products ON Products.CategoryID = Categories.CategoryID) ON Products.ItemID = ProdPics.ItemID
	<cfif #parameterexists(URL.CategoryID)#>
	WHERE Products.CategoryID = <cfqueryparam value="#URL.CategoryID#" cfsqltype="CF_SQL_NUMERIC"> AND Products.SubCatID = 0
	<cfelseif #parameterexists(URL.SubCatID)#>
	WHERE Products.SubCatID = <cfqueryparam value="#URL.SubCatID#" cfsqltype="CF_SQL_NUMERIC">
	</cfif>
	ORDER BY Products.CategoryID,Products.ItemName
	</cfquery>

	<cfquery datasource="#datasource#" name="prodcats">
	SELECT * FROM Categories 
	WHERE EXISTS
	(SELECT Products.*,Categories.* FROM Products
	INNER JOIN Categories on Products.CategoryID = Categories.CategoryID)
	ORDER BY Categories.Category
	</cfquery>
</cfif>


<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->


<br>
<cfif #parameterexists(URL.CategoryID)# IS "No" AND #parameterexists(URL.SubCatID)# IS "No">
	<cfif #check_cats.RecordCount# GT 0>
	
		<cfoutput query="prodcats">
		<cfif #CategoryID# GT 1><font class="boldtext"><a href="prodpage.cfm?#URLToken#&CategoryID=#CategoryID#">#prodcats.Category#</a></font><br></cfif>
		</cfoutput>
	
	</cfif>
	<cfoutput>
	<form name="search" action="search.cfm?#URLToken#" method="POST">
	<input type="hidden" name="OrderID" value=#OrderID#>
	</cfoutput>
	<table BORDER="0" align="center" valign="top" width="80%">
	<tr><td valign="top" align="center">
	<input type="text" name="keyword" size="12"> <br><input type="image" name="SUBMIT" src="images/search.gif" border="0" valign="absmiddle">
	</td></tr>
	</table>
	</form>
<cfelse>
	<cfif #template# IS "">
	<center><cfoutput><font class="boldtext"><a href="prodpage.cfm?#URLToken#">ALL CATEGORIES</a></font></cfoutput></center>
	</cfif>
</cfif>

<!-- This section shows only when user clicks on a category -->	
<center>
<!--- ****************************************************************************** --->
<!--- The following behaviors only take place if there exists more than one category --->
<!--- ****************************************************************************** --->

<cfif #check_cats.RecordCount# GT 0>

<!--- ****************************************************************************** --->
<!--- This part handles behavior resulting from shopper clicking on a category link  --->
<!--- ****************************************************************************** --->

	<cfif #parameterexists(URL.CategoryID)#>
		<cfquery datasource="#datasource#" name="find_subcats">
		SELECT * FROM SubCats 
		WHERE TopCatID = <cfqueryparam value="#URL.CategoryID#" cfsqltype="CF_SQL_NUMERIC"> 
		ORDER BY SubCat
		</cfquery>

		<cfoutput><center><font class="boldtext">#prodpage.Category#</font></center></cfoutput><br>
		
		<cfset start = 1>
		<cfset step = 4>
		<center>
		<table cellspacing="4" cellpadding="4" border="0" width="30%">
		<tr>
		<cfloop query="prodpage">
		<cfoutput query="prodpage" startrow=#start# maxrows=#step#>
		<td align="center" valign="bottom">
		<a href="proddetail.cfm?#URLToken#&ItemID=#ItemID#&CategoryID=#CategoryID#"><img src="images/#Thumbnail#" border="0"></a><br>
		<font class="boldtext"><a href="proddetail.cfm?#URLToken#&ItemID=#ItemID#&CategoryID=#CategoryID#">#ItemName#</a></font></td>
		</cfoutput>
		</tr>
		<cfset #start# = #start# + #step#>
		</cfloop>
		</table>
		</center>

				
		<cfif #find_subcats.recordCount# GT 0>
		
		<center>
		<table cellspacing="0" cellpadding="4" border="0" width="30%">
		
		<tr>
		
		<td colspan="4" bgcolor="fffFFF" align="center" valign="top">
		<cfoutput query="find_subcats">
		<a href="prodthumbs.cfm?#URLToken#&SubCatID=#find_subcats.SubCatID#"><font class="boldtext">#find_subcats.SubCat#</font></a><br>
		</cfoutput></td>
		</tr>
		
		</table></center><br>
		</cfif>

	
		</center>
		<cfabort>

<!--- ********************************************************************************** --->
<!-- This part handles behavior resulting from shopper clicking on a sub-category link  -->
<!--- ********************************************************************************** --->

	<cfelseif #parameterexists(URL.SubCatID)#>
		<cfquery datasource="#datasource#" name="getsubcats">
		SELECT SubCat FROM SubCats 
		WHERE SubCatID = <cfqueryparam value="#URL.SubCatID#" cfsqltype="CF_SQL_NUMERIC"> 
		</cfquery>

		<cfoutput><center><font face='verdana, arial, helvetica' SIZE='-1'><b>#getsubcats.SubCat#</b></font></center></cfoutput><br>
		<cfset start = 1>
		<cfset step = 4>
		<center>
		<table cellspacing="4" cellpadding="4" border="0" width="30%">
		<tr>
		<cfloop query="prodpage">
		<cfoutput query="prodpage" startrow=#start# maxrows=#step#>
		<td colspan="4" align="center" valign="bottom">
		<a href="proddetail.cfm?#URLToken#&ItemID=#ItemID#&CategoryID=#CategoryID#"><img src="images/#Thumbnail#" border="0"></a><br>
		<a href="proddetail.cfm?#URLToken#&ItemID=#ItemID#&CategoryID=#CategoryID#"><font face='verdana, arial, helvetica' SIZE='-1'><b>#ItemName#</b></font></a></td>
		</cfoutput></tr>
		<cfset #start# = #start# + #step#>
		</cfloop>
		</table>
		</center>

	
		</center>
		<cfabort>

	</cfif>
<cfelse>

<!--- ******************************************************************** --->
<!--- The following behaviors take place if there exists only one category --->
<!--- ******************************************************************** --->

	<center>
	<cfoutput query="product_detail">
	<form name="addtocart" action="insertorder.cfm?#URLToken#" method="post">
	<input type="hidden" name="ItemID" value=#ItemID#>
	<input type="hidden" name="Price" value=#Price#>
	<input type="hidden" name="Weight" value=#Weight#>
	<input type="hidden" name="OrderID" value=#OrderID#>
	<table cellspacing="0" cellpadding="5" border="0" width="70%">
	<tr><td colspan="2"><cfif #parameterexists(ItemPic)#><img src="#storeurl#/images/#ItemPic#"><cfelse>&nbsp;</cfif></td>
	<td colspan="2">#Description#</td></tr>
	
	<tr><td colspan="4" bgcolor="BFDFFF"><font face='verdana, arial, helvetica' SIZE='-1'><b>#ItemName#</b></font></td></tr>
	<tr><td width="15%" bgcolor="BFDFFF"><font face='verdana, arial, helvetica' SIZE='-1'><b>Price</b></font></td>
	<td width="15%" bgcolor="BFDFFF"><font face='verdana, arial, helvetica' SIZE='-1'><b>Qty</b></font></td>
	<td width="20%" bgcolor="BFDFFF"><cfif #shipmethod# is "weight"><font face='verdana, arial, helvetica' SIZE='-1'><b>Weight</b></font><cfelse>&nbsp;</cfif></td>
	<td bgcolor="BFDFFF">&nbsp;</td></tr>
	<tr><td bgcolor="BFDFFF"><font face='verdana, arial, helvetica' SIZE='-1'>#NumberFormat(Price,"$999999999.99")#</font></td><td bgcolor="BFDFFF"><input type="text" name="qty" value="1" size=3></td>
	<td bgcolor="BFDFFF"><font face='verdana, arial, helvetica' SIZE='-1'><cfif #shipmethod# is "weight">#NumberFormat(Weight,"____.__")# Ounces<cfelse>&nbsp;</cfif></font></td>
	<td bgcolor="BFDFFF"><input type="image" name="submit" src="images/addtocart.gif" border="0" valign="absmiddle"></td></tr>
	</table>
	</form>
	</cfoutput>
	
	
</cfif>
</center>




