<cfquery datasource="#datasource#" name="product_detail">
SELECT * FROM Products 
WHERE Products.ItemID > 1
</cfquery>

<cfquery datasource="#datasource#" name="check_cats">
SELECT * FROM Categories 
WHERE Category <> 'Dummy'
</cfquery>

<cfif #check_cats.RecordCount# IS 0>
	<cfquery datasource="#datasource#" name="prodpage">
	SELECT * FROM Products 
	WHERE ItemID > 1 
	</cfquery>

<cfelse>	

	<cfquery datasource="#datasource#" name="prodpage">
	SELECT Products.*,Categories.*,ProdPics.* FROM ProdPics
	RIGHT JOIN (Categories INNER JOIN Products ON Products.CategoryID = Categories.CategoryID) ON Products.ItemID = ProdPics.ItemID
	<cfif #parameterexists(URL.CategoryID)#>
	WHERE Products.CategoryID = #URL.CategoryID# AND Products.SubCatID = 0
	<cfelseif #parameterexists(URL.SubCatID)#>
	WHERE Products.SubCatID = #URL.SubCatID#
	</cfif>
	ORDER BY Products.CategoryID,Products.ItemName
	</cfquery>

	<cfquery datasource="#datasource#" name="prodcats">
	SELECT * FROM Categories 
	<cfif #db# IS "ACC">
	WHERE EXISTS
	(SELECT Products.*,Categories.* FROM Products, Categories
	WHERE Products.CategoryID = Categories.CategoryID) 
	</cfif>
	ORDER BY Categories.Category
	</cfquery>
</cfif>

<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<P>
<P>


<br>
<cfif #check_cats.RecordCount# GT 0>
<cfif #parameterexists(URL.CategoryID)# IS "No" AND #parameterexists(URL.SubCatID)# IS "No">
	<cfif #check_cats.RecordCount# GT 0>
	
		<a href="store5.cfm"><font class="boldtext">All Categories</a><br>	

		<cfoutput query="prodcats">
		<cfif #CategoryID# GT 1><a href="store5.cfm?#URLToken#&CategoryID=#CategoryID#"><font class="boldtext">#prodcats.Category#</font></a><br></cfif>
		</cfoutput>
	
	</cfif>

<!--- 
	<cfoutput>
	<form name="search" action="search_pp.cfm?#URLToken#" method="POST">
	<input type="hidden" name="OrderID" value=#OrderID#>
	</cfoutput>
	<table BORDER="0" align="center" width="80%">
	<tr><td valign="top" align="center">
	<input type="text" name="keyword" size="12"> <br><input type="image" name="SUBMIT" src="images/search.gif" border="0">



	</td></tr>
	</table>
	</form>

--->

</cfif>
</cfif>

<!-- This section shows only when user clicks on a category -->	
<center>
<!--- ****************************************************************************** --->
<!--- The following behaviors only take place if there exists more than one category --->
<!--- ****************************************************************************** --->

<cfif #check_cats.RecordCount# GT 0>

<!--- ****************************************************************************** --->
<!--- This part handles behavior resulting from shopper clicking on a category link  --->
<!--- ****************************************************************************** --->

	<cfif #parameterexists(URL.CategoryID)#>
		<cfquery datasource="#datasource#" name="find_subcats">
		SELECT * FROM SubCats 
		WHERE TopCatID = #URL.CategoryID# 
		ORDER BY SubCat
		</cfquery>

		<center>
		<a href="store5.cfm"><font class="boldtext">All Categories</a><br>
		</center>

		<cfoutput>
		<center>
		<font class="boldtext">#prodpage.Category#</font></center></cfoutput><br>
		<center>
		<table cellspacing="0" cellpadding="4" border="0" width="60%">

		<cfoutput query="prodpage">

		<form action="https://www.paypal.com/cfg-bin/webscr" METHOD="POST">
		<input type="hidden" name="cmd" VALUE="_xclick">
		<input type="hidden" name="business" VALUE="#getParams.notifyemail#">
		<input type="hidden" name="return" VALUE="#getParams.store_url#/thanks_pp.cfm">
		<input type="hidden" name="item_name" VALUE="#ItemName#">
		<input type="hidden" name="item_number" VALUE="#ItemID#">
		<input type="hidden" name="undefined_quantity" VALUE="1">
		<input type="hidden" name="amount" VALUE="#TRIM(NumberFormat(Price,"999,999.99"))#">
		<cfif #LEN(A1)# GT 0>
		<input type="hidden" name="on0" VALUE="#A1#">
		</cfif>
		<cfif #LEN(A2)# GT 0>
		<input type="hidden" name="on1" VALUE="#A2#">
		</cfif>
		<tr>
		<td rowspan="2" bgcolor="white" width="10%" valign="bottom" nowrap>
		<a href="proddetail_pp.cfm?#URLToken#&item_number=#ItemID#&CategoryID=#CategoryID#"><cfif #LEN(ItemPic)# GT 0><img src="images/#Thumbnail#" border="0"></a> <cfelse><img src="images/th_noprod.gif" border="0"></cfif><br>
		<font class="boldtext"><a href="proddetail_pp.cfm?#URLToken#&item_number=#ItemID#&CategoryID=#CategoryID#">#ItemName#</a></font></td>

		<td valign="bottom" colspan="5"><cfif #New# IS 1><img src="images/new.gif" border="0"></cfif><br><font class="text">#Description#</font></td>
		</tr>

		<tr>
		<td>&nbsp;</td><td>&nbsp;</td>


		<cfif #LEN(A1)# GT 0>
		
		<td valign="bottom"><font class="boldtext">#A1#: </font><select name="os0">
		<cfset attarray = #ListToArray(A1Vals, ",")#> 
		<CFLOOP index=i FROM=1 TO=#ArrayLen(attarray)#>
		<option>#attarray[i]#</option>
		</cfloop>
		</select></td>
		<cfelse><td>&nbsp;</td>
		</cfif>

		<cfif #LEN(A2)# GT 0>
		
		<td valign="bottom"><font class="boldtext">#A2#: </font><select name="os1">
		<cfset attarray = #ListToArray(A2Vals, ",")#> 
		<CFLOOP index=i FROM=1 TO=#ArrayLen(attarray)#>
		<option>#attarray[i]#</option>
		</cfloop>
		</select></td>
		<cfelse><td>&nbsp;</td>
		</cfif>

		<td align="right" valign="bottom" nowrap><cfif #Qty_In_Stock# GT 0><font class="stock">In stock</font><cfelse><font class="nostock">On Order</font></cfif>&nbsp;&nbsp;&nbsp;<cfif NOT #prodpage.A1Vals# CONTAINS "$" AND NOT #prodpage.A2Vals# CONTAINS "$"><font class="text">#TRIM(NumberFormat(Price,"$999,999,999.99"))#</font><cfelse>&nbsp;</cfif> &nbsp;&nbsp;&nbsp;<cfif #Shipable# IS 1><INPUT TYPE="image" SRC="http://images.paypal.com/images/x-click-but01.gif" NAME="submit" ALT="Make payments with PayPal - it's fast, free and secure!"></cfif></td>

		</tr>
		</form>

		<tr><td colspan="6">&nbsp;</td></tr>

		</cfoutput>

		</table>

		</center>		

		<cfif #find_subcats.recordCount# GT 0>
		
		<center>
		<table cellspacing="0" cellpadding="4" border="0" width="30%">
		
		<tr>
		
		<td colspan="4" bgcolor="fffFFF" align="center" valign="top">
		<cfoutput query="find_subcats">
		<font class="boldtext"><a href="store5.cfm?#URLToken#&SubCatID=#find_subcats.SubCatID#">#find_subcats.SubCat#</b></font><br>
		</cfoutput></td>
		</tr>
		
		</table></center><br>
		</cfif>
		
		</center>
		<cfabort>

<!--- ********************************************************************************** --->
<!--- This part handles behavior resulting from shopper clicking on a sub-category link  --->
<!--- ********************************************************************************** --->

	<cfelseif #parameterexists(URL.SubCatID)#>
		<cfquery datasource="#datasource#" name="getsubcats">
		SELECT SubCat FROM SubCats 
		WHERE SubCatID = #URL.SubCatID# 
		</cfquery>

		<cfoutput><center><font class="boldtext">#getsubcats.SubCat#</font></center></cfoutput><br>
		<table cellspacing="0" cellpadding="4" border="0" width="55%">
		<cfoutput query="prodpage">

		<form action="https://www.paypal.com/cfg-bin/webscr" METHOD="POST">
		<input type="hidden" name="cmd" VALUE="_xclick">
		<input type="hidden" name="business" VALUE="#getParams.notifyemail#">
		<input type="hidden" name="return" VALUE="#getParams.store_url#/thanks_pp.cfm">
		<input type="hidden" name="item_name" VALUE="#ItemName#">
		<input type="hidden" name="item_number" VALUE="#ItemID#">
		<input type="hidden" name="undefined_quantity" VALUE="1">
		<input type="hidden" name="amount" VALUE="#TRIM(NumberFormat(Price,"999,999,999.99"))#">
		<cfif #LEN(A1)# GT 0>
		<input type="hidden" name="on0" VALUE="#A1#">
		</cfif>
		<cfif #LEN(A2)# GT 0>
		<input type="hidden" name="on1" VALUE="#A2#">
		</cfif>
		<tr>
		<td rowspan="2" bgcolor="white" width="10%" valign="top" nowrap>
		<a href="proddetail_pp.cfm?#URLToken#&item_number=#ItemID#&CategoryID=#CategoryID#"><cfif #LEN(ItemPic)# GT 0><img src="images/#Thumbnail#" border="0"></a> <cfelse><img src="images/th_noprod.gif" border="0"></cfif><br>
		<font class="boldtext"><a href="proddetail_pp.cfm?#URLToken#&item_number=#ItemID#&CategoryID=#CategoryID#">#ItemName#</a></font></td>

		<td valign="bottom" colspan="5"><cfif #New# IS 1><img src="images/new.gif" border="0"></cfif><br><font class="text">#Description#</font></td>
		</tr>

		<tr>
		<td>&nbsp;</td><td>&nbsp;</td>


		<cfif #LEN(A1)# GT 0>
		
		<td valign="bottom"><font class="boldtext">#A1#: </font><select name="os0">
		<cfset attarray = #ListToArray(A1Vals, ",")#> 
		<CFLOOP index=i FROM=1 TO=#ArrayLen(attarray)#>
		<option>#attarray[i]#</option>
		</cfloop>
		</select></td>
		<cfelse><td>&nbsp;</td>
		</cfif>

		<cfif #LEN(A2)# GT 0>
		
		<td valign="bottom"><font class="boldtext">#A2#: </font><select name="os1">
		<cfset attarray = #ListToArray(A2Vals, ",")#> 
		<CFLOOP index=i FROM=1 TO=#ArrayLen(attarray)#>
		<option>#attarray[i]#</option>
		</cfloop>
		</select></td>
		<cfelse><td>&nbsp;</td>
		</cfif>

		<td align="right" valign="bottom" nowrap><cfif #Qty_In_Stock# GT 0><font class="stock">In stock</font><cfelse><font class="nostock">On Order</font></cfif>&nbsp;&nbsp;&nbsp;<font class="text">#TRIM(NumberFormat(Price,"$999,999,999.99"))#</font> &nbsp;&nbsp;&nbsp;<cfif #Shipable# IS 1><INPUT TYPE="image" SRC="http://images.paypal.com/images/x-click-but01.gif" NAME="submit" ALT="Make payments with PayPal - it's fast, free and secure!"></cfif></td>

		</tr>
		</form>

		<tr><td colspan="6">&nbsp;</td></tr>

		</cfoutput>

		</table>

	
		</center>
		<cfabort>

	</cfif>

 <cfelse>

<!--- ******************************************************************** --->
<!--- The following behaviors take place if there exists only one category --->
<!--- ******************************************************************** --->

	<cfquery datasource="#datasource#" name="find_subcats">
		SELECT * FROM SubCats 
		ORDER BY SubCat
		</cfquery>
		<br>
		<cfoutput><center><font class="boldtext">#prodpage.Category#</font></center></cfoutput><br>
		<table cellspacing="0" cellpadding="4" border="0" width="30%">
		<tr>
		<cfoutput query="prodpage">
		<td colspan="4" bgcolor="BFDFFF"><font class="boldtext"><a href="proddetail_pp.cfm?#URLToken#&ItemID=#ItemID#&CategoryID=#CategoryID#">#ItemName#</a></font></td></tr>
		</cfoutput>
		</table>
				
		<cfif #find_subcats.recordCount# GT 0>
		
		<center>
		<table cellspacing="0" cellpadding="4" border="0" width="30%">
		
		<tr>
		
		<td colspan="4" bgcolor="fffFFF" align="center" valign="top">
		<cfoutput query="find_subcats">
		<font class="boldtext"><a href="prodpage.cfm?#URLToken#&SubCatID=#find_subcats.SubCatID#">#find_subcats.SubCat#</a></font><br>
		</cfoutput></td>
		</tr>
		
		</table></center><br>
		</cfif>

		<cfoutput>
		<!-- Puts a view cart button under categories on product page whether or not you
		have begun shopping -->
		<form name="viewcart" action="insertorder.cfm?#URLToken#" method="post">
		<input type="hidden" name="OrderID" value=#OrderID#>
		<table>
		<tr><td><input type="image" name="submit" src="images/viewcart.gif" border="0"></td></tr>
		</table>
		</form>
		</center>
		</cfoutput>
		
		</center>
		<cfabort>
</center> 
</cfif>



